package models

type Dataconfig struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	ParentId       int64  `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	Module         string `gorm:"column:module" json:"module" form:"module"`
	OrgId          int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Name           string `gorm:"column:name" json:"name" form:"name"`
	FieldName      string `gorm:"column:field_name" json:"field_name" form:"field_name"`
	Value          int    `gorm:"column:value" json:"value" form:"value"`
	CreatedTime    string `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdatedTime    string `gorm:"column:update_time" json:"update_time" form:"update_time"`
	CreateUserId   int64  `gorm:"column:create_user_id" json:"create_user_id" form:"create_user_id"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	Remark         string `gorm:"column:remark" json:"remark" form:"remark"`
	DeleteIdSystem int64  `gorm:"column:delete_id_system" json:"delete_id_system" form:"delete_id_system"`
	Title          string `gorm:"column:title" json:"title" form:"title"`
	Content        string `gorm:"column:content" json:"content" form:"content"`
	Order          int64  `gorm:"column:orders" json:"orders" form:"orders"`
}

func (Dataconfig) TableName() string {
	return "xt_data_config"
}

type DictionaryDataconfig struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	ParentId       int64  `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	Module         string `gorm:"column:module" json:"module" form:"module"`
	OrgId          int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Name           string `gorm:"column:name" json:"name" form:"name"`
	FieldName      string `gorm:"column:field_name" json:"field_name" form:"field_name"`
	Value          int    `gorm:"column:value" json:"value" form:"value"`
	CreatedTime    string `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdatedTime    string `gorm:"column:update_time" json:"update_time" form:"update_time"`
	CreateUserId   int64  `gorm:"column:create_user_id" json:"create_user_id" form:"create_user_id"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	Remark         string `gorm:"column:remark" json:"remark" form:"remark"`
	DeleteIdSystem int64  `gorm:"column:delete_id_system" json:"delete_id_system" form:"delete_id_system"`
	Title          string `gorm:"column:title" json:"title" form:"title"`
	Content        string `gorm:"column:content" json:"content" form:"content"`
	Order          int64  `gorm:"column:orders" json:"orders" form:"orders"`
}

func (DictionaryDataconfig) TableName() string {
	return "xt_drug_data_config"
}

type DictionaryConfigViewModel struct {
	ID           int64                   `gorm:"column:id" json:"id" form:"id"`
	ParentId     int64                   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	Module       string                  `gorm:"column:module" json:"module" form:"module"`
	OrgId        int64                   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Name         string                  `gorm:"column:name" json:"name" form:"name"`
	FieldName    string                  `gorm:"column:field_name" json:"field_name" form:"field_name"`
	Value        int                     `gorm:"column:value" json:"value" form:"value"`
	CreatedTime  string                  `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdatedTime  string                  `gorm:"column:update_time" json:"update_time" form:"update_time"`
	CreateUserId int64                   `gorm:"column:create_user_id" json:"create_user_id" form:"create_user_id"`
	Status       int64                   `gorm:"column:status" json:"status" form:"status"`
	Remark       string                  `gorm:"column:remark" json:"remark" form:"remark"`
	Title        string                  `gorm:"column:title" json:"title" form:"title"`
	Content      string                  `gorm:"column:content" json:"content" form:"content"`
	Order        int64                   `gorm:"column:orders" json:"orders" form:"orders"`
	Childs       []*DictionaryDataconfig `json:"childs" `
}

func (DictionaryConfigViewModel) TableName() string {
	return "xt_drug_data_config"
}

type ConfigViewModel struct {
	ID           int64         `gorm:"column:id" json:"id" form:"id"`
	ParentId     int64         `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	Module       string        `gorm:"column:module" json:"module" form:"module"`
	OrgId        int64         `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Name         string        `gorm:"column:name" json:"name" form:"name"`
	FieldName    string        `gorm:"column:field_name" json:"field_name" form:"field_name"`
	Value        int           `gorm:"column:value" json:"value" form:"value"`
	CreatedTime  string        `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdatedTime  string        `gorm:"column:update_time" json:"update_time" form:"update_time"`
	CreateUserId int64         `gorm:"column:create_user_id" json:"create_user_id" form:"create_user_id"`
	Status       int64         `gorm:"column:status" json:"status" form:"status"`
	Remark       string        `gorm:"column:remark" json:"remark" form:"remark"`
	Title        string        `gorm:"column:title" json:"title" form:"title"`
	Content      string        `gorm:"column:content" json:"content" form:"content"`
	Order        int64         `gorm:"column:orders" json:"orders" form:"orders"`
	Childs       []*Dataconfig `json:"childs" `
}

func (ConfigViewModel) TableName() string {
	return "xt_data_config"
}

type FiledConfig struct {
	ID          int64  `gorm:"column:id" json:"id"`
	OrgId       int64  `gorm:"column:org_id" json:"org_id"`
	Module      int64  `gorm:"column:module" json:"module"`
	FiledName   string `gorm:"column:filed_name" json:"filed_name"`
	FiledNameCn string `gorm:"column:filed_name_cn" json:"filed_name_cn"`
	IsShow      int64  `gorm:"column:is_show" json:"is_show"`
	CreateTime  int64  `gorm:"column:create_time" json:"create_time"`
	UpdateTime  int64  `gorm:"column:update_time" json:"update_time"`
	SysModule   int64  `gorm:"column:sys_module" json:"sys_module" form:"sys_module"`
}

func (FiledConfig) TableName() string {
	return "xt_filed_config"
}

type OutpatientServiceSick struct {
	ID                 int64  `gorm:"column:id" json:"id" form:"id"`
	ClassName          string `gorm:"column:class_name" json:"class_name" form:"class_name"`
	Pinyin             string `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi               string `gorm:"column:wubi" json:"wubi" form:"wubi"`
	ContentCode        string `gorm:"column:content_code" json:"content_code" form:"content_code"`
	CountryCode        string `gorm:"column:country_code" json:"country_code" form:"country_code"`
	CountryContentName string `gorm:"column:country_content_name" json:"country_content_name" form:"country_content_name"`
	Remark             string `gorm:"column:remark" json:"remark" form:"remark"`
	UserOrgId          int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status             int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (OutpatientServiceSick) TableName() string {
	return "outpatient_service_sick"
}

type XtHisAddtionConfig struct {
	ID        int64   `gorm:"column:id" json:"id" form:"id"`
	Code      string  `gorm:"column:code" json:"code" form:"code"`
	Name      string  `gorm:"column:name" json:"name" form:"name"`
	Price     float64 `gorm:"column:price" json:"price" form:"price"`
	Status    int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime     int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	UserOrgId int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
}

func (XtHisAddtionConfig) TableName() string {
	return "xt_his_addtion_config"
}
