package models

type DrugWarehouse struct {
	ID               int64  `gorm:"column:id" json:"id" form:"id"`
	WarehousingOrder string `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	OperationTime    int64  `gorm:"column:operation_time" json:"operation_time" form:"operation_time"`
	OrgId            int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Creater          int64  `gorm:"column:creater" json:"creater" form:"creater"`
	Ctime            int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Modifier         int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Mtime            int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status           int64  `gorm:"column:status" json:"status" form:"status"`
	WarehousingTime  int64  `gorm:"column:warehousing_time" json:"warehousing_time" form:"warehousing_time"`
	Dealer           int64  `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer     int64  `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Type             int64  `gorm:"column:type" json:"type" form:"type"`
}

func (DrugWarehouse) TableName() string {
	return "xt_drug_warehouse"
}

type DrugWarehouseInfo struct {
	ID               int64   `gorm:"column:id" json:"id" form:"id"`
	WarehousingId    int64   `gorm:"column:warehousing_id" json:"warehousing_id" form:"warehousing_id"`
	DrugId           int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Number           string  `gorm:"column:number" json:"number" form:"number"`
	ProductDate      int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate       int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	WarehousingCount int64   `gorm:"column:warehousing_count" json:"warehousing_count" form:"warehousing_count"`
	Price            float64 `gorm:"column:price" json:"price" form:"price"`
	TotalPrice       float64 `gorm:"column:total_price" json:"total_price" form:"total_price"`
	Dealer           int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer     int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Remark           string  `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime            int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status           int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId            int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	IsReturn         int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	WarehousingOrder string  `gorm:"column:warehousing_order" json:"warehousing_order" form:"warehousing_order"`
	Type             int64   `gorm:"column:type" json:"type" form:"type"`
	RetailPrice      float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	RetailTotalPrice float64 `gorm:"column:retail_total_price" json:"retail_total_price" form:"retail_total_price"`
}

func (DrugWarehouseInfo) TableName() string {
	return "xt_drug_warehouse_info"
}

type DrugWarehouseOut struct {
	ID                      int64         `gorm:"column:id" json:"id" form:"id"`
	WarehouseOutOrderNumber string        `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	OperationTime           int64         `gorm:"column:operation_time" json:"operation_time" form:"operation_time"`
	Creater                 int64         `gorm:"column:creater" json:"creater" form:"creater"`
	OrgId                   int64         `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Modifier                int64         `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Remark                  string        `gorm:"column:remark" json:"remark" form:"remark"`
	Ctime                   int64         `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64         `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status                  int64         `gorm:"column:status" json:"status" form:"status"`
	WarehouseOutTime        int64         `gorm:"column:warehouse_out_time" json:"warehouse_out_time" form:"warehouse_out_time"`
	Dealer                  int64         `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer            int64         `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Type                    int64         `gorm:"column:type" json:"type" form:"type"`
	IsSys                   int64         `gorm:"column:is_sys" json:"is_sys" form:"is_sys"`
	Manufacturers           *Manufacturer `gorm:"ForeignKey:Manufacturer;AssociationForeignKey:ID" json:"manufacturers"`
	Dealers                 *Dealer       `gorm:"ForeignKey:Dealer;AssociationForeignKey:ID" json:"dealers"`
}

func (DrugWarehouseOut) TableName() string {
	return "xt_drug_warehouse_out"
}

type DrugWarehouseOutInfo struct {
	ID                      int64   `gorm:"column:id" json:"id" form:"id"`
	WarehouseOutId          int64   `gorm:"column:warehouse_out_id" json:"warehouse_out_id" form:"warehouse_out_id"`
	DrugId                  int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	WarehousingOutTarget    int64   `gorm:"column:warehousing_out_target" json:"warehousing_out_target" form:"warehousing_out_target"`
	Count                   int64   `gorm:"column:count" json:"count" form:"count"`
	Price                   float64 `gorm:"column:price" json:"price" form:"price"`
	TotalPrice              float64 `gorm:"column:total_price" json:"total_price" form:"total_price"`
	ProductDate             int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate              int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	Mtime                   int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Ctime                   int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Status                  int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId                   int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Remark                  string  `gorm:"column:remark" json:"remark" form:"remark"`
	IsCancel                int64   `gorm:"column:is_cancel" json:"is_cancel" form:"is_cancel"`
	WarehouseOutOrderNumber string  `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	Type                    int64   `gorm:"column:type" json:"type" form:"type"`
	Dealer                  int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer            int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	IsSys                   int64   `gorm:"column:is_sys" json:"is_sys" form:"is_sys"`
	SysRecordTime           int64   `gorm:"column:sys_record_time" json:"sys_record_time" form:"sys_record_time"`
	RetailPrice             float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	RetailTotalPrice        float64 `gorm:"column:retail_total_price" json:"retail_total_price" form:"retail_total_price"`
}

func (DrugWarehouseOutInfo) TableName() string {
	return "xt_drug_warehouse_out_info"
}

type DrugSalesReturn struct {
	ID            int64         `gorm:"column:id" json:"id" form:"id"`
	OrderNumber   string        `gorm:"column:order_number" json:"order_number" form:"order_number"`
	OperaTime     int64         `gorm:"column:opera_time" json:"opera_time" form:"opera_time"`
	Total         int64         `gorm:"column:total" json:"total" form:"total"`
	Creater       int64         `gorm:"column:creater" json:"creater" form:"creater"`
	Ctime         int64         `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64         `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status        int64         `gorm:"column:status" json:"status" form:"status"`
	OrgId         int64         `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ReturnTime    int64         `gorm:"column:return_time" json:"return_time" form:"return_time"`
	Manufacturer  int64         `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Dealer        int64         `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Type          int64         `gorm:"column:type" json:"type" form:"type"`
	Manufacturers *Manufacturer `gorm:"ForeignKey:Manufacturer;AssociationForeignKey:ID" json:"manufacturers"`
	Dealers       *Dealer       `gorm:"ForeignKey:Dealer;AssociationForeignKey:ID" json:"dealers"`
}

func (DrugSalesReturn) TableName() string {
	return "xt_drug_sales_return"
}

type DrugSalesReturnInfo struct {
	ID               int64   `gorm:"column:id" json:"id" form:"id"`
	DrugId           int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	SalesReturnId    int64   `gorm:"column:sales_return_id" json:"sales_return_id" form:"sales_return_id"`
	Count            int64   `gorm:"column:count" json:"count" form:"count"`
	Price            float64 `gorm:"column:price" json:"price" form:"price"`
	Total            float64 `gorm:"column:total" json:"total" form:"total"`
	ProductDate      int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate       int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	Ctime            int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status           int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId            int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	OrderNumber      string  `gorm:"column:order_number" json:"order_number" form:"order_number"`
	Type             int64   `gorm:"column:type" json:"type" form:"type"`
	Dealer           int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer     int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	RetailPrice      float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	RetailTotalPrice float64 `gorm:"column:retail_total_price" json:"retail_total_price" form:"retail_total_price"`
	Number           string  `gorm:"column:number" json:"number" form:"number"`
}

func (DrugSalesReturnInfo) TableName() string {
	return "xt_drug_sales_return_info"
}

type DrugCancelStock struct {
	ID            int64         `gorm:"column:id" json:"id" form:"id"`
	OrderNumber   string        `gorm:"column:order_number" json:"order_number" form:"order_number"`
	OperaTime     int64         `gorm:"column:opera_time" json:"opera_time" form:"opera_time"`
	Total         int64         `gorm:"column:total" json:"total" form:"total"`
	Creater       int64         `gorm:"column:creater" json:"creater" form:"creater"`
	Ctime         int64         `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime         int64         `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status        int64         `gorm:"column:status" json:"status" form:"status"`
	OrgId         int64         `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ReturnTime    int64         `gorm:"column:return_time" json:"return_time" form:"return_time"`
	Dealer        int64         `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer  int64         `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	Type          int64         `gorm:"column:type" json:"type" form:"type"`
	Manufacturers *Manufacturer `gorm:"ForeignKey:Manufacturer;AssociationForeignKey:ID" json:"manufacturers"`
	Dealers       *Dealer       `gorm:"ForeignKey:Dealer;AssociationForeignKey:ID" json:"dealers"`
}

func (DrugCancelStock) TableName() string {
	return "xt_drug_cancel_stock"
}

type DrugCancelStockInfo struct {
	ID               int64   `gorm:"column:id" json:"id" form:"id"`
	DrugId           int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	CancelStockId    int64   `gorm:"column:cancel_stock_id" json:"cancel_stock_id" form:"cancel_stock_id"`
	Count            int64   `gorm:"column:count" json:"count" form:"count"`
	Price            float64 `gorm:"column:price" json:"price" form:"price"`
	Total            float64 `gorm:"column:total" json:"total" form:"total"`
	ProductDate      int64   `gorm:"column:product_date" json:"product_date" form:"product_date"`
	ExpiryDate       int64   `gorm:"column:expiry_date" json:"expiry_date" form:"expiry_date"`
	Ctime            int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status           int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId            int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	OrderNumber      string  `gorm:"column:order_number" json:"order_number" form:"order_number"`
	Type             int64   `gorm:"column:type" json:"type" form:"type"`
	Dealer           int64   `gorm:"column:dealer" json:"dealer" form:"dealer"`
	Manufacturer     int64   `gorm:"column:manufacturer" json:"manufacturer" form:"manufacturer"`
	RetailPrice      float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	RetailTotalPrice float64 `gorm:"column:retail_total_price" json:"retail_total_price" form:"retail_total_price"`
	Number           string  `gorm:"column:number" json:"number" form:"number"`
}

func (DrugCancelStockInfo) TableName() string {
	return "xt_drug_cancel_stock_info"
}

type DrugAutomaticReduceDetail struct {
	ID                      int64  `gorm:"column:id" json:"id" form:"id"`
	WarehouseOutId          int64  `gorm:"column:warehouse_out_id" json:"warehouse_out_id" form:"warehouse_out_id"`
	WarehouseOutOrderNumber string `gorm:"column:warehouse_out_order_number" json:"warehouse_out_order_number" form:"warehouse_out_order_number"`
	PatientId               int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Ctime                   int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status                  int64  `gorm:"column:status" json:"status" form:"status"`
	RecordTime              int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	OrgId                   int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	DrugId                  int64  `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Count                   int64  `gorm:"column:count" json:"count" form:"count"`
}

func (DrugAutomaticReduceDetail) TableName() string {
	return "xt_drug_automatic_reduce_detail"
}
