package models

import "time"

type XtHisProject struct {
	ID                        int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectName               string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Pinyin                    string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                      string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	Price                     float64 `gorm:"column:price" json:"price" form:"price"`
	Unit                      string  `gorm:"column:unit" json:"unit" form:"unit"`
	CostClassify              int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
	ExecutiveSection          int64   `gorm:"column:executive_section" json:"executive_section" form:"executive_section"`
	MedicalCoverage           int64   `gorm:"column:medical_coverage" json:"medical_coverage" form:"medical_coverage"`
	StatisticalClassification int64   `gorm:"column:statistical_classification" json:"statistical_classification" form:"statistical_classification"`
	DiseaseDirectory          int64   `gorm:"column:disease_directory" json:"disease_directory" form:"disease_directory"`
	IsRecord                  int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	MedicalCode               string  `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	TubeColor                 int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	MedicalStatus             int64   `gorm:"column:medical_status" json:"medical_status" form:"medical_status"`
	Remark                    string  `gorm:"column:remark" json:"remark" form:"remark"`
	Sign                      int64   `gorm:"column:sign" json:"sign" form:"sign"`
	DefaultNumber             string  `gorm:"column:default_number" json:"default_number" form:"default_number"`
	IsDefault                 int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsCharge                  int64   `gorm:"column:is_charge" json:"is_charge" form:"is_charge"`
	IsEstimate                int64   `gorm:"column:is_estimate" json:"is_estimate" form:"is_estimate"`
	IsWorkload                int64   `gorm:"column:is_workload" json:"is_workload" form:"is_workload"`
	Sort                      string  `gorm:"column:sort" json:"sort" form:"sort"`
	DoctorAdvice              int64   `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	UserOrgId                 int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                    int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime               int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime               int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	SingleDose                string  `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	ExecutionFrequency        string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	DeliveryWay               string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	NumberDays                string  `gorm:"column:number_days" json:"number_days" form:"number_days"`
	Total                     string  `gorm:"column:total" json:"total" form:"total"`
}

func (XtHisProject) TableName() string {
	return "xt_his_project"
}

type XtHisProjectTeam struct {
	ID          int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectTeam string  `gorm:"column:project_team" json:"project_team" form:"project_team"`
	Price       float64 `gorm:"column:price" json:"price" form:"price"`
	Pinyin      string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi        string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	TubeColor   int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	TeamType    int64   `gorm:"column:team_type" json:"team_type" form:"team_type"`
	Remark      string  `gorm:"column:remark" json:"remark" form:"remark"`
	UserOrgId   int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	ProjectId   string  `gorm:"column:project_id" json:"project_id" form:"project_id"`
}

func (XtHisProjectTeam) TableName() string {
	return "xt_his_project_team"
}

type XtHisDepartment struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	Name        string `gorm:"column:name" json:"name" form:"name"`
	Number      string `gorm:"column:number" json:"number" form:"number"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtHisDepartment) TableName() string {
	return "xt_his_department"
}

type HisPatient struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	BalanceAccountsType    int64   `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Name                   string  `gorm:"column:name" json:"name" form:"name"`
	Gender                 int64   `gorm:"column:gender" json:"gender" form:"gender"`
	IdType                 int64   `gorm:"column:id_type" json:"id_type" form:"id_type"`
	MedicalTreatmentType   int64   `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	Birthday               int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	RecordDate             int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Age                    int64   `gorm:"column:age" json:"age" form:"age"`
	PhoneNumber            string  `gorm:"column:phone_number" json:"phone_number" form:"phone_number"`
	IdCardNo               string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	RegisterType           int64   `gorm:"column:register_type" json:"register_type" form:"register_type"`
	AdminUserId            int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments            int64   `gorm:"column:departments" json:"departments" form:"departments"`
	IsNeedCostOfProduction int64   `gorm:"column:is_need_cost_of_production" json:"is_need_cost_of_production" form:"is_need_cost_of_production"`
	RegisterCost           float64 `gorm:"column:register_cost" json:"register_cost" form:"register_cost"`
	TreatmentCost          float64 `gorm:"column:treatment_cost" json:"treatment_cost" form:"treatment_cost"`
	CostOfProduction       float64 `gorm:"column:cost_of_production" json:"cost_of_production" form:"cost_of_production"`
	Total                  float64 `gorm:"column:total" json:"total" form:"total"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number                 string  `gorm:"column:number" json:"number" form:"number"`
	Doctor                 int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	IsReturn               int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	PsnNo                  string  `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnCertType            string  `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno                 string  `gorm:"column:certno" json:"certno" form:"certno"`
	PsnName                string  `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Gend                   string  `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                   string  `gorm:"column:naty" json:"naty" form:"naty"`
	Brdy                   string  `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Iinfo                  string  `gorm:"column:iinfo" json:"iinfo" form:"iinfo"`
	Idetinfo               string  `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	IptOtpNo               string  `gorm:"column:ipt_otp_no" json:"ipt_otp_no" form:"ipt_otp_no"`
	Phone                  string  `gorm:"column:phone" json:"phone" form:"phone"`
	SocialType             int64   `gorm:"column:social_type" json:"social_type" form:"social_type"`
}

func (HisPatient) TableName() string {
	return "his_patient"
}

type HisPrescriptionVm struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate   int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId int64  `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number       string `gorm:"column:number" json:"number" form:"number"`
	Type         int64  `gorm:"column:type" json:"type" form:"type"`
	Doctor       int64  `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Creator      int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier     int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Name         string
}

type HisCaseHistoryTemplate struct {
	ID                      int64  `gorm:"column:id" json:"id" form:"id"`
	HistoryOfPresentIllness string `gorm:"column:history_of_present_illness" json:"history_of_present_illness" form:"history_of_present_illness"`
	PastHistory             string `gorm:"column:past_history" json:"past_history" form:"past_history"`
	ChiefConplaint          string `gorm:"column:chief_conplaint" json:"chief_conplaint" form:"chief_conplaint"`
	PersonalHistory         string `gorm:"column:personal_history" json:"personal_history" form:"personal_history"`
	FamilyHistory           string `gorm:"column:family_history" json:"family_history" form:"family_history"`
	Diagnostic              string `gorm:"column:diagnostic" json:"diagnostic" form:"diagnostic"`
	UserOrgId               int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                  int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime                   int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	RecordDate              int64  `gorm:"column:record_date" json:"record_date" form:"record_date"`
	TemplateName            string `gorm:"column:template_name" json:"template_name" form:"template_name"`
	TemplateRemark          string `gorm:"column:template_remark" json:"template_remark" form:"template_remark"`
	Creator                 int64  `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier                int64  `gorm:"column:modifier" json:"modifier" form:"modifier"`
	UserName                string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	DoctorAdvice            string `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	Remark                  string `gorm:"column:remark" json:"remark" form:"remark"`
}

func (HisCaseHistoryTemplate) TableName() string {
	return "his_case_history_template"
}

type HisDoctorAdviceInfo struct {
	ID                    int64       `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64       `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId             int64       `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId          int64       `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	AdviceType            int64       `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	AdviceDate            int64       `gorm:"column:advice_date" json:"advice_date" form:"advice_date"`
	StartTime             int64       `gorm:"column:start_time" json:"start_time" form:"start_time"`
	AdviceName            string      `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string      `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	ReminderDate          int64       `gorm:"column:reminder_date" json:"reminder_date" form:"reminder_date"`
	SingleDose            float64     `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string      `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64     `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string      `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string      `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string      `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64       `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64       `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64       `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64       `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceAffirm          string      `gorm:"column:advice_affirm" json:"advice_affirm" form:"advice_affirm"`
	Remark                string      `gorm:"column:remark" json:"remark" form:"remark"`
	StopTime              int64       `gorm:"column:stop_time" json:"stop_time" form:"stop_time"`
	StopReason            string      `gorm:"column:stop_reason" json:"stop_reason" form:"stop_reason"`
	StopDoctor            int64       `gorm:"column:stop_doctor" json:"stop_doctor" form:"stop_doctor"`
	StopState             int64       `gorm:"column:stop_state" json:"stop_state" form:"stop_state"`
	ParentId              int64       `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	ExecutionTime         int64       `gorm:"column:execution_time" json:"execution_time" form:"execution_time"`
	ExecutionStaff        int64       `gorm:"column:execution_staff" json:"execution_staff" form:"execution_staff"`
	ExecutionState        int64       `gorm:"column:execution_state" json:"execution_state" form:"execution_state"`
	Checker               int64       `gorm:"column:checker" json:"checker" form:"checker"`
	RecordDate            int64       `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DialysisOrderId       int64       `gorm:"column:dialysis_order_id" json:"dialysis_order_id" form:"dialysis_order_id"`
	CheckTime             int64       `gorm:"column:check_time" json:"check_time" form:"check_time"`
	CheckState            int64       `gorm:"column:check_state" json:"check_state" form:"check_state"`
	DrugSpec              float64     `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string      `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	Groupno               int64       `gorm:"column:groupno" json:"groupno" form:"groupno"`
	RemindType            int64       `gorm:"column:remind_type" json:"remind_type" form:"remind_type"`
	FrequencyType         int64       `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DayCount              int64       `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDay               string      `gorm:"column:week_day" json:"week_day" form:"week_day"`
	TemplateId            string      `gorm:"column:template_id" json:"template_id" form:"template_id"`
	Modifier              int64       `gorm:"column:modifier" json:"modifier" form:"modifier"`
	DrugId                int64       `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Price                 float64     `gorm:"column:price" json:"price" form:"price"`
	PrescriptionId        int64       `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	MedListCodg           string      `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	FeedetlSn             string      `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Day                   int64       `gorm:"column:day" json:"day" form:"day"`
	BaseDrugLib           BaseDrugLib `gorm:"ForeignKey:DrugId;AssociationForeignKey:ID" json:"drug"`
}

func (HisDoctorAdviceInfo) TableName() string {
	return "his_doctor_advice_info"
}

type HisGroupAdvice struct {
	HisDoctorAdviceInfo
	Children []*HisGroupAdvice
}

type HisPatientCaseHistory struct {
	ID                      int64   `gorm:"column:id" json:"id" form:"id"`
	PatientId               int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId            int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Temperature             float64 `gorm:"column:temperature" json:"temperature" form:"temperature"`
	BloodSugar              float64 `gorm:"column:blood_sugar" json:"blood_sugar" form:"blood_sugar"`
	Pulse                   float64 `gorm:"column:pulse" json:"pulse" form:"pulse"`
	Sbp                     float64 `gorm:"column:sbp" json:"sbp" form:"sbp"`
	Dbp                     float64 `gorm:"column:dbp" json:"dbp" form:"dbp"`
	Height                  float64 `gorm:"column:height" json:"height" form:"height"`
	BloodFat                float64 `gorm:"column:blood_fat" json:"blood_fat" form:"blood_fat"`
	SickType                int64   `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
	Symptom                 string  `gorm:"column:symptom" json:"symptom" form:"symptom"`
	SickDate                int64   `gorm:"column:sick_date" json:"sick_date" form:"sick_date"`
	IsInfect                int64   `gorm:"column:is_infect" json:"is_infect" form:"is_infect"`
	HistoryOfPresentIllness string  `gorm:"column:history_of_present_illness" json:"history_of_present_illness" form:"history_of_present_illness"`
	PastHistory             string  `gorm:"column:past_history" json:"past_history" form:"past_history"`
	Doctor                  int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	ChiefConplaint          string  `gorm:"column:chief_conplaint" json:"chief_conplaint" form:"chief_conplaint"`
	PersonalHistory         string  `gorm:"column:personal_history" json:"personal_history" form:"personal_history"`
	FamilyHistory           string  `gorm:"column:family_history" json:"family_history" form:"family_history"`
	Diagnostic              string  `gorm:"column:diagnostic" json:"diagnostic" form:"diagnostic"`
	UserOrgId               int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                  int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                   int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                   int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	RecordDate              int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	DeliveryWay             int64   `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	Breathing               float64 `gorm:"column:breathing" json:"breathing" form:"breathing"`
	DoctorAdvice            string  `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	Remark                  string  `gorm:"column:remark" json:"remark" form:"remark"`
	Sick                    int64   `gorm:"column:sick" json:"sick" form:"sick"`
	Diagnose                int64   `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
}

func (HisPatientCaseHistory) TableName() string {
	return "his_patient_case_history"
}

type HisPrescriptionInfo struct {
	ID                 int64           `gorm:"column:id" json:"id" form:"id"`
	UserOrgId          int64           `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate         int64           `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId          int64           `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId       int64           `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status             int64           `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64           `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64           `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Creator            int64           `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier           int64           `gorm:"column:modifier" json:"modifier" form:"modifier"`
	Diagnosis          int64           `gorm:"column:diagnosis" json:"diagnosis" form:"diagnosis"`
	RegisterType       int64           `gorm:"column:register_type" json:"register_type" form:"register_type"`
	Doctor             string          `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Departments        int64           `gorm:"column:departments" json:"departments" form:"departments"`
	SickHistory        string          `gorm:"column:sick_history" json:"sick_history" form:"sick_history"`
	PrescriptionNumber string          `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
	PrescriptionStatus int64           `gorm:"column:prescription_status" json:"prescription_status" form:"prescription_status"`
	BatchNumber        string          `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	DoctorId           int64           `gorm:"column:doctor_id" json:"doctor_id" form:"doctor_id"`
	XtHisDepartment    XtHisDepartment `gorm:"ForeignKey:ID;AssociationForeignKey:Departments" json:"department"`
	SickType           int64           `gorm:"column:sick_type" json:"sick_type" form:"sick_type"`
}

func (HisPrescriptionInfo) TableName() string {
	return "his_prescription_info"
}

type HisPrescription struct {
	ID                     int64                     `gorm:"column:id" json:"id" form:"id"`
	UserOrgId              int64                     `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate             int64                     `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PatientId              int64                     `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId           int64                     `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	Status                 int64                     `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64                     `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64                     `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number                 string                    `gorm:"column:number" json:"number" form:"number"`
	Type                   int64                     `gorm:"column:type" json:"type" form:"type"`
	Doctor                 string                    `gorm:"column:doctor" json:"doctor" form:"doctor"`
	Creator                int64                     `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier               int64                     `gorm:"column:modifier" json:"modifier" form:"modifier"`
	OrderStatus            int64                     `gorm:"column:order_status" json:"order_status" form:"order_status"`
	BatchNumber            string                    `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	PrescriptionNumber     string                    `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
	Patients               Patients                  `gorm:"ForeignKey:PatientId;AssociationForeignKey:ID" json:"patient"`
	HisPatient             VMHisPatient              `gorm:"ForeignKey:PatientId;AssociationForeignKey:patient_id" json:"hisPatient"`
	HisDoctorAdviceInfo    []*HisDoctorAdviceInfo    `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"advices"`
	HisPrescriptionProject []*HisPrescriptionProject `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"project"`
	HisAdditionalCharge    []*HisAdditionalCharge    `gorm:"ForeignKey:PrescriptionId;AssociationForeignKey:ID" json:"addition"`
	VMHisPrescriptionInfo  HisPrescriptionInfo       `gorm:"ForeignKey:PatientId,RecordDate;AssociationForeignKey:PatientId,ScheduleDate" json:"info"`
}

func (HisPrescription) TableName() string {
	return "his_prescription"
}

type HisProject struct {
	ID                        int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectName               string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Pinyin                    string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi                      string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	Price                     float64 `gorm:"column:price" json:"price" form:"price"`
	Unit                      string  `gorm:"column:unit" json:"unit" form:"unit"`
	CostClassify              int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
	ExecutiveSection          int64   `gorm:"column:executive_section" json:"executive_section" form:"executive_section"`
	MedicalCoverage           int64   `gorm:"column:medical_coverage" json:"medical_coverage" form:"medical_coverage"`
	StatisticalClassification int64   `gorm:"column:statistical_classification" json:"statistical_classification" form:"statistical_classification"`
	DiseaseDirectory          int64   `gorm:"column:disease_directory" json:"disease_directory" form:"disease_directory"`
	IsRecord                  int64   `gorm:"column:is_record" json:"is_record" form:"is_record"`
	MedicalCode               string  `gorm:"column:medical_code" json:"medical_code" form:"medical_code"`
	TubeColor                 int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	MedicalStatus             int64   `gorm:"column:medical_status" json:"medical_status" form:"medical_status"`
	Remark                    string  `gorm:"column:remark" json:"remark" form:"remark"`
	Sign                      int64   `gorm:"column:sign" json:"sign" form:"sign"`
	DefaultNumber             string  `gorm:"column:default_number" json:"default_number" form:"default_number"`
	IsDefault                 int64   `gorm:"column:is_default" json:"is_default" form:"is_default"`
	IsCharge                  int64   `gorm:"column:is_charge" json:"is_charge" form:"is_charge"`
	IsEstimate                int64   `gorm:"column:is_estimate" json:"is_estimate" form:"is_estimate"`
	IsWorkload                int64   `gorm:"column:is_workload" json:"is_workload" form:"is_workload"`
	Sort                      string  `gorm:"column:sort" json:"sort" form:"sort"`
	DoctorAdvice              int64   `gorm:"column:doctor_advice" json:"doctor_advice" form:"doctor_advice"`
	UserOrgId                 int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                    int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime               int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime               int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (HisProject) TableName() string {
	return "xt_his_project"
}

type HisProjectTeam struct {
	ID          int64   `gorm:"column:id" json:"id" form:"id"`
	ProjectTeam string  `gorm:"column:project_team" json:"project_team" form:"project_team"`
	Price       float64 `gorm:"column:price" json:"price" form:"price"`
	Pinyin      string  `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi        string  `gorm:"column:wubi" json:"wubi" form:"wubi"`
	TubeColor   int64   `gorm:"column:tube_color" json:"tube_color" form:"tube_color"`
	TeamType    int64   `gorm:"column:team_type" json:"team_type" form:"team_type"`
	Remark      string  `gorm:"column:remark" json:"remark" form:"remark"`
	UserOrgId   int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status      int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	ProjectId   string  `gorm:"column:project_id" json:"project_id" form:"project_id"`
}

func (HisProjectTeam) TableName() string {
	return "xt_his_project_team"
}

type HisAdditionalCharge struct {
	ID                 int64              `gorm:"column:id" json:"id" form:"id"`
	PatientId          int64              `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Price              float64            `gorm:"column:price" json:"price" form:"price"`
	AdminUserId        int64              `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	UserOrgId          int64              `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate         int64              `gorm:"column:record_date" json:"record_date" form:"record_date"`
	CreatedTime        int64              `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime        int64              `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status             int64              `gorm:"column:status" json:"status" form:"status"`
	ItemName           string             `gorm:"column:item_name" json:"item_name" form:"item_name"`
	HisPatientId       int64              `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	ItemId             int64              `gorm:"column:item_id" json:"item_id" form:"item_id"`
	Creator            int64              `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier           int64              `gorm:"column:modifier" json:"modifier" form:"modifier"`
	BatchNumber        string             `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	OrderStatus        int64              `gorm:"column:order_status" json:"order_status" form:"order_status"`
	PrescriptionNumber string             `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
	XtHisAddtionConfig XtHisAddtionConfig `gorm:"ForeignKey:ID;AssociationForeignKey:ItemId" json:"config"`
	FeedetlSn          string             `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	PrescriptionId     int64              `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Count              int64              `gorm:"column:count" json:"count" form:"count"`
}

func (HisAdditionalCharge) TableName() string {
	return "his_additional_charge"
}

type HisDoctorAdviceParentTemplate struct {
	ID                      int64                      `gorm:"column:id" json:"id" form:"id"`
	OrgId                   int64                      `gorm:"column:org_id" json:"org_id" form:"org_id"`
	Name                    string                     `gorm:"column:name" json:"name" form:"name"`
	Status                  int64                      `gorm:"column:status" json:"status" form:"status"`
	CreatedTime             int64                      `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime             int64                      `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	AdviceType              int64                      `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	HisDoctorAdviceTemplate []*HisDoctorAdviceTemplate `gorm:"ForeignKey:TemplateId;AssociationForeignKey:ID" json:"advices"`
}

func (HisDoctorAdviceParentTemplate) TableName() string {
	return "his_doctor_advice_parent_template"
}

type VMDrug struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	MaxUnit                string  `gorm:"column:max_unit" json:"max_unit" form:"max_unit"`
	MinUnit                string  `gorm:"column:min_unit" json:"min_unit" form:"min_unit"`
	RetailPrice            float64 `gorm:"column:retail_price" json:"retail_price" form:"retail_price"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	OrgId                  int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	DrugCode               string  `gorm:"column:drug_code" json:"drug_code" form:"drug_code"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number"`
}

func (VMDrug) TableName() string {
	return "xt_base_drug"
}

type HisDoctorAdviceTemplate struct {
	ID                    int64   `gorm:"column:id" json:"id" form:"id"`
	OrgId                 int64   `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AdviceName            string  `gorm:"column:advice_name" json:"advice_name" form:"advice_name"`
	AdviceDesc            string  `gorm:"column:advice_desc" json:"advice_desc" form:"advice_desc"`
	SingleDose            float64 `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	SingleDoseUnit        string  `gorm:"column:single_dose_unit" json:"single_dose_unit" form:"single_dose_unit"`
	PrescribingNumber     float64 `gorm:"column:prescribing_number" json:"prescribing_number" form:"prescribing_number"`
	PrescribingNumberUnit string  `gorm:"column:prescribing_number_unit" json:"prescribing_number_unit" form:"prescribing_number_unit"`
	DeliveryWay           string  `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency    string  `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	AdviceDoctor          int64   `gorm:"column:advice_doctor" json:"advice_doctor" form:"advice_doctor"`
	Status                int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime           int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime           int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	TemplateId            int64   `gorm:"column:template_id" json:"template_id" form:"template_id"`
	DrugSpec              string  `gorm:"column:drug_spec" json:"drug_spec" form:"drug_spec"`
	DrugSpecUnit          string  `gorm:"column:drug_spec_unit" json:"drug_spec_unit" form:"drug_spec_unit"`
	ParentId              int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	AdviceType            int64   `gorm:"column:advice_type" json:"advice_type" form:"advice_type"`
	DayCount              int64   `gorm:"column:day_count" json:"day_count" form:"day_count"`
	WeekDays              string  `gorm:"column:week_days" json:"week_days" form:"week_days"`
	FrequencyType         int64   `gorm:"column:frequency_type" json:"frequency_type" form:"frequency_type"`
	DrugId                int64   `gorm:"column:drug_id" json:"drug_id" form:"drug_id"`
	Way                   int64   `gorm:"column:way" json:"way" form:"way"`
	DrugNameId            int64   `gorm:"column:drug_name_id" json:"drug_name_id" form:"drug_name_id"`
	VMDrug                VMDrug  `gorm:"ForeignKey:TemplateId;AssociationForeignKey:ID" json:"advices"`
}

func (HisDoctorAdviceTemplate) TableName() string {
	return "his_doctor_advice_template"
}

type HisPrescriptionProject struct {
	ID                 int64      `gorm:"column:id" json:"id" form:"id"`
	ProjectId          int64      `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Price              float64    `gorm:"column:price" json:"price" form:"price"`
	UserOrgId          int64      `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status             int64      `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64      `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64      `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId          int64      `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	HisPatientId       int64      `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	RecordDate         int64      `gorm:"column:record_date" json:"record_date" form:"record_date"`
	PrescriptionId     int64      `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Count              int64      `gorm:"column:count" json:"count" form:"count"`
	FeedetlSn          string     `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	MedListCodg        string     `gorm:"column:med_list_codg" json:"med_list_codg" form:"med_list_codg"`
	SingleDose         string     `gorm:"column:single_dose" json:"single_dose" form:"single_dose"`
	DeliveryWay        string     `gorm:"column:delivery_way" json:"delivery_way" form:"delivery_way"`
	ExecutionFrequency string     `gorm:"column:execution_frequency" json:"execution_frequency" form:"execution_frequency"`
	Day                string     `gorm:"column:day" json:"day" form:"day"`
	HisProject         HisProject `gorm:"ForeignKey:ProjectId;AssociationForeignKey:ID" json:"project"`
	Remark             string     `gorm:"column:remark" json:"remark" form:"remark"`
	Unit               string     `gorm:"column:unit" json:"unit" form:"unit"`
}

func (HisPrescriptionProject) TableName() string {
	return "his_prescription_project"
}

type SchedulesVm struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PartitionId  int64  `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId        int64  `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	ScheduleDate int64  `gorm:"column:schedule_date" json:"schedule_date" form:"schedule_date"`
	ScheduleType int64  `gorm:"column:schedule_type" json:"schedule_type" form:"schedule_type"`
	ScheduleWeek int64  `gorm:"column:schedule_week" json:"schedule_week" form:"schedule_week"`
	ModeId       int64  `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Name         string `gorm:"column:name" json:"name" form:"name"`
	IdCardNo     string `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
}

type HisProjectListVm struct {
	ID           int64   `gorm:"column:id" json:"id" form:"id"`
	Number       int64   `gorm:"column:number" json:"number" form:"number"`
	UserOrgId    int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ProjectId    int64   `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Status       int64   `gorm:"column:status" json:"status" form:"status"`
	Price        float64 `gorm:"column:price" json:"price" form:"price"`
	Unit         string  `gorm:"column:unit" json:"unit" form:"unit"`
	ProjectName  string  `gorm:"column:project_name" json:"project_name" form:"project_name"`
	CostClassify int64   `gorm:"column:cost_classify" json:"cost_classify" form:"cost_classify"`
}

type XtHisProjectList struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	Number      int64 `gorm:"column:number" json:"number" form:"number"`
	UserOrgId   int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ProjectId   int64 `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtHisProjectList) TableName() string {
	return "xt_his_project_list"
}

type XtHisPatient struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	BalanceAccountsType    int64   `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Name                   string  `gorm:"column:name" json:"name" form:"name"`
	Gender                 int64   `gorm:"column:gender" json:"gender" form:"gender"`
	IdType                 int64   `gorm:"column:id_type" json:"id_type" form:"id_type"`
	MedicalTreatmentType   int64   `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	Birthday               int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	RecordDate             int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Age                    int64   `gorm:"column:age" json:"age" form:"age"`
	PhoneNumber            string  `gorm:"column:phone_number" json:"phone_number" form:"phone_number"`
	IdCardNo               string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	RegisterType           int64   `gorm:"column:register_type" json:"register_type" form:"register_type"`
	AdminUserId            int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments            int64   `gorm:"column:departments" json:"departments" form:"departments"`
	IsNeedCostOfProduction int64   `gorm:"column:is_need_cost_of_production" json:"is_need_cost_of_production" form:"is_need_cost_of_production"`
	RegisterCost           float64 `gorm:"column:register_cost" json:"register_cost" form:"register_cost"`
	TreatmentCost          float64 `gorm:"column:treatment_cost" json:"treatment_cost" form:"treatment_cost"`
	CostOfProduction       float64 `gorm:"column:cost_of_production" json:"cost_of_production" form:"cost_of_production"`
	Total                  float64 `gorm:"column:total" json:"total" form:"total"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number                 string  `gorm:"column:number" json:"number" form:"number"`
	Doctor                 int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	IsReturn               int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	Phone                  string  `gorm:"column:phone" json:"phone" form:"phone"`
	SocialType             int64   `gorm:"column:social_type" json:"social_type" form:"social_type"`
}

func (XtHisPatient) TableName() string {
	return "his_patient"
}

type HisOrder struct {
	ID                    int64     `gorm:"column:id" json:"id" form:"id"`
	UserOrgId             int64     `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId          int64     `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	SettleAccountsDate    int64     `gorm:"column:settle_accounts_date" json:"settle_accounts_date" form:"settle_accounts_date"`
	Ctime                 int64     `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                 int64     `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status                int64     `gorm:"column:status" json:"status" form:"status"`
	Number                string    `gorm:"column:number" json:"number" form:"number"`
	PatientId             int64     `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Infcode               int64     `gorm:"column:infcode" json:"infcode" form:"infcode"`
	WarnMsg               string    `gorm:"column:warn_msg" json:"warn_msg" form:"warn_msg"`
	Cainfo                string    `gorm:"column:cainfo" json:"cainfo" form:"cainfo"`
	ErrMsg                string    `gorm:"column:err_msg" json:"err_msg" form:"err_msg"`
	RespondTime           string    `gorm:"column:respond_time" json:"respond_time" form:"respond_time"`
	InfRefmsgid           string    `gorm:"column:inf_refmsgid" json:"inf_refmsgid" form:"inf_refmsgid"`
	OrderStatus           int64     `gorm:"column:order_status" json:"order_status" form:"order_status"`
	MdtrtId               string    `gorm:"column:mdtrt_id" json:"mdtrt_id" form:"mdtrt_id"`
	SetlId                string    `gorm:"column:setl_id" json:"setl_id" form:"setl_id"`
	PsnNo                 string    `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnName               string    `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	PsnCertType           string    `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno                string    `gorm:"column:certno" json:"certno" form:"certno"`
	Gend                  string    `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                  string    `gorm:"column:naty" json:"naty" form:"naty"`
	Brdy                  time.Time `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Age                   float64   `gorm:"column:age" json:"age" form:"age"`
	Insutype              string    `gorm:"column:insutype" json:"insutype" form:"insutype"`
	PsnType               string    `gorm:"column:psn_type" json:"psn_type" form:"psn_type"`
	CvlservFlag           string    `gorm:"column:cvlserv_flag" json:"cvlserv_flag" form:"cvlserv_flag"`
	SetlTime              string    `gorm:"column:setl_time" json:"setl_time" form:"setl_time"`
	MdtrtCertType         string    `gorm:"column:mdtrt_cert_type" json:"mdtrt_cert_type" form:"mdtrt_cert_type"`
	MedType               string    `gorm:"column:med_type" json:"med_type" form:"med_type"`
	MedfeeSumamt          float64   `gorm:"column:medfee_sumamt" json:"medfee_sumamt" form:"medfee_sumamt"`
	FulamtOwnpayAmt       float64   `gorm:"column:fulamt_ownpay_amt" json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`
	OverlmtSelfPay        float64   `gorm:"column:overlmt_self_pay" json:"overlmt_self_pay" form:"overlmt_self_pay"`
	PreselfpayAmt         float64   `gorm:"column:preselfpay_amt" json:"preselfpay_amt" form:"preselfpay_amt"`
	InscpScpAmt           float64   `gorm:"column:inscp_scp_amt" json:"inscp_scp_amt" form:"inscp_scp_amt"`
	ActPayDedc            float64   `gorm:"column:act_pay_dedc" json:"act_pay_dedc" form:"act_pay_dedc"`
	HifpPay               float64   `gorm:"column:hifp_pay" json:"hifp_pay" form:"hifp_pay"`
	CvlservPay            float64   `gorm:"column:cvlserv_pay" json:"cvlserv_pay" form:"cvlserv_pay"`
	PoolPropSelfpay       float64   `gorm:"column:pool_prop_selfpay" json:"pool_prop_selfpay" form:"pool_prop_selfpay"`
	HifesPay              float64   `gorm:"column:hifes_pay" json:"hifes_pay" form:"hifes_pay"`
	HifmiPay              float64   `gorm:"column:hifmi_pay" json:"hifmi_pay" form:"hifmi_pay"`
	HifobPay              float64   `gorm:"column:hifob_pay" json:"hifob_pay" form:"hifob_pay"`
	MafPay                float64   `gorm:"column:maf_pay" json:"maf_pay" form:"maf_pay"`
	OthPay                float64   `gorm:"column:oth_pay" json:"oth_pay" form:"oth_pay"`
	FundPaySumamt         float64   `gorm:"column:fund_pay_sumamt" json:"fund_pay_sumamt" form:"fund_pay_sumamt"`
	PsnPartAmt            float64   `gorm:"column:psn_part_amt" json:"psn_part_amt" form:"psn_part_amt"`
	AcctPay               float64   `gorm:"column:acct_pay" json:"acct_pay" form:"acct_pay"`
	PsnCashPay            float64   `gorm:"column:psn_cash_pay" json:"psn_cash_pay" form:"psn_cash_pay"`
	HospPartAmt           float64   `gorm:"column:hosp_part_amt" json:"hosp_part_amt" form:"hosp_part_amt"`
	Balc                  float64   `gorm:"column:balc" json:"balc" form:"balc"`
	AcctMulaidPay         float64   `gorm:"column:acct_mulaid_pay" json:"acct_mulaid_pay" form:"acct_mulaid_pay"`
	MedinsSetlId          string    `gorm:"column:medins_setl_id" json:"medins_setl_id" form:"medins_setl_id"`
	ClrOptins             string    `gorm:"column:clr_optins" json:"clr_optins" form:"clr_optins"`
	ClrWay                string    `gorm:"column:clr_way" json:"clr_way" form:"clr_way"`
	ClrType               string    `gorm:"column:clr_type" json:"clr_type" form:"clr_type"`
	SetlDetail            string    `gorm:"column:setl_detail" json:"setl_detail" form:"setl_detail"`
	IsMedicineInsurance   int64     `gorm:"column:is_medicine_insurance" json:"is_medicine_insurance" form:"is_medicine_insurance"`
	PayWay                int64     `gorm:"column:pay_way" json:"pay_way" form:"pay_way"`
	PayPrice              float64   `gorm:"column:pay_price" json:"pay_price" form:"pay_price"`
	PayCardNo             string    `gorm:"column:pay_card_no" json:"pay_card_no" form:"pay_card_no"`
	DiscountPrice         float64   `gorm:"column:discount_price" json:"discount_price" form:"discount_price"`
	PreferentialPrice     float64   `gorm:"column:preferential_price" json:"preferential_price" form:"preferential_price"`
	RealityPrice          float64   `gorm:"column:reality_price" json:"reality_price" form:"reality_price"`
	FoundPrice            float64   `gorm:"column:found_price" json:"found_price" form:"found_price"`
	MedicalInsurancePrice float64   `gorm:"column:medical_insurance_price" json:"medical_insurance_price" form:"medical_insurance_price"`
	PrivatePrice          float64   `gorm:"column:private_price" json:"private_price" form:"private_price"`
	Creator               int64     `gorm:"column:creator" json:"creator" form:"creator"`
	Modify                int64     `gorm:"column:modify" json:"modify" form:"modify"`

	SettleType      int64 `gorm:"column:settle_type" json:"settle_type" form:"settle_type"`
	SettleStartTime int64 `gorm:"column:settle_start_time" json:"settle_start_time" form:"settle_start_time"`
	SettleEndTime   int64 `gorm:"column:settle_end_time" json:"settle_end_time" form:"settle_end_time"`

	HisOrderInfo        HisOrderInfo        `gorm:"ForeignKey:ID;AssociationForeignKey:OrderId" json:"order_info"`
	Patients            Patients            `gorm:"ForeignKey:PatientId;AssociationForeignKey:ID" json:"patient"`
	HisPatient          HisPatient          `gorm:"ForeignKey:HisPatientId;AssociationForeignKey:ID" json:"his_patient"`
	HisPrescriptionInfo HisPrescriptionInfo `gorm:"ForeignKey:PatientId,SettleAccountsDate;AssociationForeignKey:PatientId,RecordDate" json:"p_info"`
}

func (HisOrder) TableName() string {
	return "his_order"
}

type HisOrderInfo struct {
	ID               int64   `gorm:"column:id" json:"id" form:"id"`
	OrderNumber      string  `gorm:"column:order_number" json:"order_number" form:"order_number"`
	UploadDate       int64   `gorm:"column:upload_date" json:"upload_date" form:"upload_date"`
	AdviceId         int64   `gorm:"column:advice_id" json:"advice_id" form:"advice_id"`
	DetItemFeeSumamt float64 `gorm:"column:det_item_fee_sumamt" json:"det_item_fee_sumamt" form:"det_item_fee_sumamt"`
	Cnt              float64 `gorm:"column:cnt" json:"cnt" form:"cnt"`
	Pric             float64 `gorm:"column:pric" json:"pric" form:"pric"`
	PatientId        int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	PricUplmtAmt     float64 `gorm:"column:pric_uplmt_amt" json:"pric_uplmt_amt" form:"pric_uplmt_amt"`
	SelfpayProp      float64 `gorm:"column:selfpay_prop" json:"selfpay_prop" form:"selfpay_prop"`
	FulamtOwnpayAmt  float64 `gorm:"column:fulamt_ownpay_amt" json:"fulamt_ownpay_amt" form:"fulamt_ownpay_amt"`
	OverlmtAmt       float64 `gorm:"column:overlmt_amt" json:"overlmt_amt" form:"overlmt_amt"`
	PreselfpayAmt    float64 `gorm:"column:preselfpay_amt" json:"preselfpay_amt" form:"preselfpay_amt"`
	BasMednFlag      string  `gorm:"column:bas_medn_flag" json:"bas_medn_flag" form:"bas_medn_flag"`
	MedChrgitmType   string  `gorm:"column:med_chrgitm_type" json:"med_chrgitm_type" form:"med_chrgitm_type"`
	HiNegoDrugFlag   string  `gorm:"column:hi_nego_drug_flag" json:"hi_nego_drug_flag" form:"hi_nego_drug_flag"`
	Status           int64   `gorm:"column:status" json:"status" form:"status"`
	Memo             string  `gorm:"column:memo" json:"memo" form:"memo"`
	FeedetlSn        string  `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	Mtime            int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	InscpScpAmt      float64 `gorm:"column:inscp_scp_amt" json:"inscp_scp_amt" form:"inscp_scp_amt"`
	DrtReimFlag      string  `gorm:"column:drt_reim_flag" json:"drt_reim_flag" form:"drt_reim_flag"`
	Ctime            int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	ListSpItemFlag   string  `gorm:"column:list_sp_item_flag" json:"list_sp_item_flag" form:"list_sp_item_flag"`
	ChldMedcFlag     string  `gorm:"column:chld_medc_flag" json:"chld_medc_flag" form:"chld_medc_flag"`
	LmtUsedFlag      string  `gorm:"column:lmt_used_flag" json:"lmt_used_flag" form:"lmt_used_flag"`
	ChrgitmLv        string  `gorm:"column:chrgitm_lv" json:"chrgitm_lv" form:"chrgitm_lv"`
	UserOrgId        int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	HisPatientId     int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	OrderId          int64   `gorm:"column:order_id" json:"order_id" form:"order_id"`
	ProjectId        int64   `gorm:"column:project_id" json:"project_id" form:"project_id"`
	Type             int64   `gorm:"column:type" json:"type" form:"type"`
	ItemId           int64   `gorm:"column:item_id" json:"item_id" form:"item_id"`
}

func (HisOrderInfo) TableName() string {
	return "his_order_info"
}

type VMHisPatient struct {
	ID                     int64   `gorm:"column:id" json:"id" form:"id"`
	BalanceAccountsType    int64   `gorm:"column:balance_accounts_type" json:"balance_accounts_type" form:"balance_accounts_type"`
	MedicalInsuranceNumber string  `gorm:"column:medical_insurance_number" json:"medical_insurance_number" form:"medical_insurance_number"`
	Name                   string  `gorm:"column:name" json:"name" form:"name"`
	Gender                 int64   `gorm:"column:gender" json:"gender" form:"gender"`
	IdType                 int64   `gorm:"column:id_type" json:"id_type" form:"id_type"`
	MedicalTreatmentType   int64   `gorm:"column:medical_treatment_type" json:"medical_treatment_type" form:"medical_treatment_type"`
	Birthday               int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	RecordDate             int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	Age                    float64 `gorm:"column:age" json:"age" form:"age"`
	PhoneNumber            string  `gorm:"column:phone_number" json:"phone_number" form:"phone_number"`
	IdCardNo               string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	RegisterType           int64   `gorm:"column:register_type" json:"register_type" form:"register_type"`
	AdminUserId            int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	Departments            int64   `gorm:"column:departments" json:"departments" form:"departments"`
	IsNeedCostOfProduction int64   `gorm:"column:is_need_cost_of_production" json:"is_need_cost_of_production" form:"is_need_cost_of_production"`
	RegisterCost           float64 `gorm:"column:register_cost" json:"register_cost" form:"register_cost"`
	TreatmentCost          float64 `gorm:"column:treatment_cost" json:"treatment_cost" form:"treatment_cost"`
	CostOfProduction       float64 `gorm:"column:cost_of_production" json:"cost_of_production" form:"cost_of_production"`
	Total                  float64 `gorm:"column:total" json:"total" form:"total"`
	UserOrgId              int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status                 int64   `gorm:"column:status" json:"status" form:"status"`
	Ctime                  int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime                  int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	PatientId              int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Number                 string  `gorm:"column:number" json:"number" form:"number"`
	Doctor                 int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	IsReturn               int64   `gorm:"column:is_return" json:"is_return" form:"is_return"`
	PsnNo                  string  `gorm:"column:psn_no" json:"psn_no" form:"psn_no"`
	PsnCertType            string  `gorm:"column:psn_cert_type" json:"psn_cert_type" form:"psn_cert_type"`
	Certno                 string  `gorm:"column:certno" json:"certno" form:"certno"`
	PsnName                string  `gorm:"column:psn_name" json:"psn_name" form:"psn_name"`
	Gend                   string  `gorm:"column:gend" json:"gend" form:"gend"`
	Naty                   string  `gorm:"column:naty" json:"naty" form:"naty"`
	Brdy                   string  `gorm:"column:brdy" json:"brdy" form:"brdy"`
	Iinfo                  string  `gorm:"column:iinfo" json:"iinfo" form:"iinfo"`
	Idetinfo               string  `gorm:"column:idetinfo" json:"idetinfo" form:"idetinfo"`
	IptOtpNo               string  `gorm:"column:ipt_otp_no" json:"ipt_otp_no" form:"ipt_otp_no"`
	Phone                  string  `gorm:"column:phone" json:"phone" form:"phone"`
	SocialType             int64   `gorm:"column:social_type" json:"social_type" form:"social_type"`
	IdCardType             int64   `gorm:"column:id_card_type" json:"id_card_type" form:"id_card_type"`
}

func (VMHisPatient) TableName() string {
	return "his_patient"
}

type MedicalInsuranceConfig struct {
	ID        int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime     int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64 `gorm:"column:status" json:"status" form:"status"`
	IsOpen    int64 `gorm:"column:is_open" json:"is_open" form:"is_open"`
}

func (MedicalInsuranceConfig) TableName() string {
	return "medical_insurance_config"
}

type HisOrderError struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId  int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number     string `gorm:"column:number" json:"number" form:"number"`
	ErrMsg     string `gorm:"column:err_msg" json:"err_msg" form:"err_msg"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Stage      int64  `gorm:"column:stage" json:"stage" form:"stage"`
}

func (HisOrderError) TableName() string {
	return "his_order_error"
}

type MedicalInsuranceOrgConfig struct {
	ID             int64  `gorm:"column:id" json:"id" form:"id"`
	Code           string `gorm:"column:code" json:"code" form:"code"`
	OrgName        string `gorm:"column:org_name" json:"org_name" form:"org_name"`
	Vpn            string `gorm:"column:vpn" json:"vpn" form:"vpn"`
	EleCardId      string `gorm:"column:ele_card_id" json:"ele_card_id" form:"ele_card_id"`
	EleCardKey     string `gorm:"column:ele_card_key" json:"ele_card_key" form:"ele_card_key"`
	ChannelNumber  string `gorm:"column:channel_number" json:"channel_number" form:"channel_number"`
	Ctime          int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime          int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status         int64  `gorm:"column:status" json:"status" form:"status"`
	UserOrgId      int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	MdtrtareaAdmvs string `gorm:"column:mdtrtarea_admvs" json:"mdtrtarea_admvs" form:"mdtrtarea_admvs"`
	InsuplcAdmdvs  string `gorm:"column:insuplc_admdvs" json:"insuplc_admdvs" form:"insuplc_admdvs"`
	SecretKey      string `gorm:"column:secret_key" json:"secret_key" form:"secret_key"`
}

func (MedicalInsuranceOrgConfig) TableName() string {
	return "medical_insurance_org_config"
}

type XtHisConfig struct {
	ID        int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime     int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime     int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64 `gorm:"column:status" json:"status" form:"status"`
	IsOpen    int64 `gorm:"column:is_open" json:"is_open" form:"is_open"`
}

func (XtHisConfig) TableName() string {
	return "xt_his_config"
}

type XtHisTemplate struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	UserOrgId  int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	TemplateId int64 `gorm:"column:template_id" json:"template_id" form:"template_id"`
	Status     int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (XtHisTemplate) TableName() string {
	return "xt_his_template"
}

type XtHisAdviceTemplate struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	TemplateId int64 `gorm:"column:template_id" json:"template_id" form:"template_id"`
	UserOrgId  int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status     int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (XtHisAdviceTemplate) TableName() string {
	return "xt_his_advice_template"
}

type XtHisChargeTemplate struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	TemplateId int64 `gorm:"column:template_id" json:"template_id" form:"template_id"`
	UserOrgId  int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime      int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status     int64 `gorm:"column:status" json:"status" form:"status"`
}

func (XtHisChargeTemplate) TableName() string {
	return "xt_his_charge_template"
}

type XtHisTreatmentTemplate struct {
	ID         int64 `gorm:"column:id" json:"id" form:"id"`
	TemplateId int64 `gorm:"column:template_id" json:"template_id" form:"template_id"`
	UserOrgId  int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status     int64 `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64 `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64 `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (XtHisTreatmentTemplate) TableName() string {
	return "xt_his_treatment_template"
}

type XtHisAdditionalCharge struct {
	ID                 int64   `gorm:"column:id" json:"id" form:"id"`
	PatientId          int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Price              float64 `gorm:"column:price" json:"price" form:"price"`
	AdminUserId        int64   `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	UserOrgId          int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	RecordDate         int64   `gorm:"column:record_date" json:"record_date" form:"record_date"`
	CreatedTime        int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime        int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Status             int64   `gorm:"column:status" json:"status" form:"status"`
	ItemName           string  `gorm:"column:item_name" json:"item_name" form:"item_name"`
	HisPatientId       int64   `gorm:"column:his_patient_id" json:"his_patient_id" form:"his_patient_id"`
	ItemId             int64   `gorm:"column:item_id" json:"item_id" form:"item_id"`
	Creator            int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Modifier           int64   `gorm:"column:modifier" json:"modifier" form:"modifier"`
	BatchNumber        string  `gorm:"column:batch_number" json:"batch_number" form:"batch_number"`
	OrderStatus        int64   `gorm:"column:order_status" json:"order_status" form:"order_status"`
	PrescriptionNumber string  `gorm:"column:prescription_number" json:"prescription_number" form:"prescription_number"`
	FeedetlSn          string  `gorm:"column:feedetl_sn" json:"feedetl_sn" form:"feedetl_sn"`
	PrescriptionId     int64   `gorm:"column:prescription_id" json:"prescription_id" form:"prescription_id"`
	Count              int64   `gorm:"column:count" json:"count" form:"count"`
}

func (XtHisAdditionalCharge) TableName() string {
	return "his_additional_charge"
}

type XtHisMedicalTemplate struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	Title      string `gorm:"column:title" json:"title" form:"title"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Remark     string `gorm:"column:remark" json:"remark" form:"remark"`
	TemplateId int64  `gorm:"column:template_id" json:"template_id" form:"template_id"`
	UserOrgId  int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
}

func (XtHisMedicalTemplate) TableName() string {
	return "xt_his_medical_template"
}

type HisXtDiagnoseConfig struct {
	ID                 int64  `gorm:"column:id" json:"id" form:"id"`
	ClassName          string `gorm:"column:class_name" json:"class_name" form:"class_name"`
	Pinyin             string `gorm:"column:pinyin" json:"pinyin" form:"pinyin"`
	Wubi               string `gorm:"column:wubi" json:"wubi" form:"wubi"`
	ContentCode        string `gorm:"column:content_code" json:"content_code" form:"content_code"`
	CountryCode        string `gorm:"column:country_code" json:"country_code" form:"country_code"`
	CountryContentName string `gorm:"column:country_content_name" json:"country_content_name" form:"country_content_name"`
	Remark             string `gorm:"column:remark" json:"remark" form:"remark"`
	UserOrgId          int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status             int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime              int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime              int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
}

func (HisXtDiagnoseConfig) TableName() string {
	return "his_xt_diagnose_config"
}

type BaseParams struct {
	SecretKey      string
	FixmedinsCode  string
	InsuplcAdmdvs  string
	MdtrtareaAdmvs string
	OrgName        string
	Doctor         string
}

type BusinessParams struct {
	Insutype         string
	ClrType          string
	SetlOptins       string
	MdtrtareaAdmvs   string
	StmtBegndate     string
	StmtEnddate      string
	MedfeeSumamt     float64
	FundPaySumamt    float64
	AcctPay          float64
	FixmedinsSetlCnt int64
	FileQuryNo       string
	CashPayamt       float64
	PsnNo            string
	MdtrtId          string
	SetlId           string
}

type Custom struct {
	DetItemFeeSumamt string
	Cut              string
	FeedetlSn        string
	Price            string
	MedListCodg      string
}

type MedicalInsuranceCostCompare struct {
	ID        int64   `gorm:"column:id" json:"id" form:"id"`
	StartTime int64   `gorm:"column:start_time" json:"start_time" form:"start_time"`
	EndTime   int64   `gorm:"column:end_time" json:"end_time" form:"end_time"`
	Insutype  string  `gorm:"column:insutype" json:"insutype" form:"insutype"`
	CheckType int64   `gorm:"column:check_type" json:"check_type" form:"check_type"`
	Num       int64   `gorm:"column:num" json:"num" form:"num"`
	Mtime     int64   `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Status    int64   `gorm:"column:status" json:"status" form:"status"`
	UserOrgId int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	CostTotal float64 `gorm:"column:cost_total" json:"cost_total" form:"cost_total"`
	FuncTotal float64 `gorm:"column:func_total" json:"func_total" form:"func_total"`
	PsnPay    float64 `gorm:"column:psn_pay" json:"psn_pay" form:"psn_pay"`
	Creator   int64   `gorm:"column:creator" json:"creator" form:"creator"`
	Ctime     int64   `gorm:"column:ctime" json:"ctime" form:"ctime"`
}

func (MedicalInsuranceCostCompare) TableName() string {
	return "medical_insurance_cost_compare"
}
