package models

type PatientListForFaceList struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (PatientListForFaceList) TableName() string {
	return "xt_patients"
}

type PatientListForFace struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId   int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Name        string `gorm:"column:name" json:"name" form:"name"`
	Avatar      string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	DialysisNo  string `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	IdCardNo    string `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday    int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	Phone       string `gorm:"column:phone" json:"phone" form:"phone"`
	Age         int64  `gorm:"column:age" json:"age"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (PatientListForFace) TableName() string {
	return "xt_patients"
}

type Patients struct {
	ID                           int64                `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                    int64                `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId                       int64                `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Avatar                       string               `gorm:"column:avatar" json:"avatar" form:"avatar"`
	PatientType                  int64                `gorm:"column:patient_type" json:"patient_type" form:"patient_type"`
	DialysisNo                   string               `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	AdmissionNumber              string               `gorm:"column:admission_number" json:"admission_number" form:"admission_number"`
	Source                       int64                `gorm:"column:source" json:"source" form:"source"`
	Lapseto                      int64                `gorm:"column:lapseto" json:"lapseto" form:"lapseto"`
	PartitionId                  int64                `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId                        int64                `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Name                         string               `gorm:"column:name" json:"name" form:"name"`
	Alias                        string               `gorm:"column:alias" json:"alias" form:"alias"`
	Gender                       int64                `gorm:"column:gender" json:"gender" form:"gender"`
	Nation                       string               `gorm:"column:nation" json:"nation" form:"nation"`
	NativePlace                  string               `gorm:"column:native_place" json:"native_place" form:"native_place"`
	MaritalStatus                int64                `gorm:"column:marital_status" json:"marital_status" form:"marital_status"`
	IdCardNo                     string               `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday                     int64                `gorm:"column:birthday" json:"birthday" form:"birthday"`
	ReimbursementWayId           int64                `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id" form:"reimbursement_way_id"`
	HealthCareType               int64                `gorm:"column:health_care_type" json:"health_care_type" form:"health_care_type"`
	HealthCareNo                 string               `gorm:"column:health_care_no" json:"health_care_no" form:"health_care_no"`
	HealthCareDueDate            int64                `gorm:"column:health_care_due_date" json:"health_care_due_date" form:"health_care_due_date"`
	Height                       int64                `gorm:"column:height" json:"height" form:"height"`
	BloodType                    int64                `gorm:"column:blood_type" json:"blood_type" form:"blood_type"`
	Rh                           int64                `gorm:"column:rh" json:"rh" form:"rh"`
	HealthCareDueAlertDate       int64                `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date" form:"health_care_due_alert_date"`
	EducationLevel               int64                `gorm:"column:education_level" json:"education_level" form:"education_level"`
	Profession                   int64                `gorm:"column:profession" json:"profession" form:"profession"`
	Phone                        string               `gorm:"column:phone" json:"phone" form:"phone"`
	HomeTelephone                string               `gorm:"column:home_telephone" json:"home_telephone" form:"home_telephone"`
	RelativePhone                string               `gorm:"column:relative_phone" json:"relative_phone" form:"relative_phone"`
	RelativeRelations            string               `gorm:"column:relative_relations" json:"relative_relations" form:"relative_relations"`
	HomeAddress                  string               `gorm:"column:home_address" json:"home_address" form:"home_address"`
	WorkUnit                     string               `gorm:"column:work_unit" json:"work_unit" form:"work_unit"`
	UnitAddress                  string               `gorm:"column:unit_address" json:"unit_address" form:"unit_address"`
	Children                     int64                `gorm:"column:children" json:"children" form:"children"`
	ReceivingDate                int64                `gorm:"column:receiving_date" json:"receiving_date" form:"receiving_date"`
	IsHospitalFirstDialysis      int64                `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis" form:"is_hospital_first_dialysis"`
	FirstDialysisDate            int64                `gorm:"column:first_dialysis_date" json:"first_dialysis_date" form:"first_dialysis_date"`
	FirstDialysisHospital        string               `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital" form:"first_dialysis_hospital"`
	PredialysisCondition         string               `gorm:"column:predialysis_condition" json:"predialysis_condition" form:"predialysis_condition"`
	PreHospitalDialysisFrequency string               `gorm:"column:pre_hospital_dialysis_frequency" json:"pre_hospital_dialysis_frequency" form:"pre_hospital_dialysis_frequency"`
	PreHospitalDialysisTimes     int64                `gorm:"column:pre_hospital_dialysis_times" json:"pre_hospital_dialysis_times" form:"pre_hospital_dialysis_times"`
	HospitalFirstDialysisDate    int64                `gorm:"column:hospital_first_dialysis_date" json:"hospital_first_dialysis_date" form:"hospital_first_dialysis_date"`
	InductionPeriod              int64                `gorm:"column:induction_period" json:"induction_period" form:"induction_period"`
	InitialDialysis              int64                `gorm:"column:initial_dialysis" json:"initial_dialysis" form:"initial_dialysis"`
	TotalDialysis                int64                `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	AttendingDoctorId            int64                `gorm:"column:attending_doctor_id" json:"attending_doctor_id" form:"attending_doctor_id"`
	HeadNurseId                  int64                `gorm:"column:head_nurse_id" json:"head_nurse_id" form:"head_nurse_id"`
	Evaluate                     string               `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Diagnose                     string               `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
	Remark                       string               `gorm:"column:remark" json:"remark" form:"remark"`
	RegistrarsId                 int64                `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Registrars                   string               `gorm:"column:registrars" json:"registrars" form:"registrars"`
	QrCode                       string               `gorm:"column:qr_code" json:"qr_code" form:"qr_code"`
	BindingState                 int64                `gorm:"column:binding_state" json:"binding_state" form:"binding_state"`
	PatientComplains             string               `gorm:"column:patient_complains" json:"patient_complains"` // 主诉
	PresentHistory               string               `gorm:"column:present_history" json:"present_history"`     // 现病史
	PastHistory                  string               `gorm:"column:past_history" json:"past_history"`           // 既往史
	Temperature                  float64              `gorm:"column:temperature" json:"temperature"`             // 体格检查-体温
	Pulse                        int64                `gorm:"column:pulse" json:"pulse"`                         // 体格检查-脉搏
	Respiratory                  int64                `gorm:"column:respiratory" json:"respiratory"`             // 体格检查-呼吸频率
	SBP                          int64                `gorm:"column:sbp" json:"sbp"`                             // 体格检查-收缩压
	DBP                          int64                `gorm:"column:dbp" json:"dbp"`                             // 体格检查-舒张压
	Status                       int64                `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                  int64                `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                  int64                `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	DialysisSolutions            []DialysisSolution   `json:"solutions" gorm:"foreignkey:PatientId"`
	Age                          int64                `gorm:"column:age" json:"age"`
	Schedules                    []Schedule           `json:"schedules" gorm:"foreignkey:PatientId"`
	Contagions                   []InfectiousDiseases `json:"contagions" gorm:"foreignkey:PatientId"`
	Diseases                     []ChronicDiseases    `json:"diseases" gorm:"foreignkey:PatientId"`

	InfectiousNextRecordTime int64  `gorm:"column:infectious_next_record_time" json:"infectious_next_record_time"`
	IsInfectious             int64  `gorm:"column:is_infectious" json:"is_infectious"`
	RemindCycle              int64  `gorm:"column:remind_cycle" json:"remind_cycle"`
	ResponseResult           string `gorm:"column:response_result" json:"response_result"`
	IsOpenRemind             int64  `gorm:"column:is_open_remind" json:"is_open_remind"`
	DialysisAge              int64  `gorm:"column:dialysis_age" json:"dialysis_age" form:"dialysis_age"`
	ExpenseKind              int64  `gorm:"column:expense_kind" json:"expense_kind" form:"expense_kind"`
	TellPhone                string `gorm:"column:tell_phone" json:"tell_phone" form:"tell_phone"`
	FirstTreatmentDate       int64  `gorm:"column:first_treatment_date" json:"first_treatment_date" form:"first_treatment_date"`
	ContactName              string `gorm:"column:contact_name" json:"contact_name" form:"contact_name"`
	UserSysBeforeCount       int64  `gorm:"column:user_sys_before_count" json:"user_sys_before_count" form:"user_sys_before_count"`
	IsExcelExport            int64  `gorm:"column:is_excel_export" json:"is_excel_export" form:"is_excel_export"`
	SchRemark                string `gorm:"column:sch_remark" json:"sch_remark" form:"sch_remark"`

	ContagionIds []int64 `gorm:"-"`
	DryWeight    float64 `gorm:"-"`
}

func (Patients) TableName() string {
	return "xt_patients"
}

type ChronicDiseases struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DiseaseId   int64 `gorm:"column:disease_id" json:"disease_id" form:"disease_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (ChronicDiseases) TableName() string {
	return "xt_patients_chronic_diseases"
}

type InfectiousDiseases struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DiseaseId   int64 `gorm:"column:disease_id" json:"disease_id" form:"disease_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (InfectiousDiseases) TableName() string {
	return "xt_patients_infectious_diseases"
}

type DialysisPrescription struct {
	ID                        int64   `gorm:"column:id" json:"id"`
	UserOrgId                 int64   `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                 int64   `gorm:"column:patient_id" json:"patient_id"`
	Dialyzer                  int64   `gorm:"column:dialyzer" json:"dialyzer"`
	MachineType               string  `gorm:"column:machine_type" json:"machine_type"`
	DewaterAmount             float64 `gorm:"column:dewater_amount" json:"dewater_amount"`
	PrescriptionDewatering    float64 `gorm:"column:prescription_dewatering" json:"prescription_dewatering"`
	Anticoagulant             int64   `gorm:"column:anticoagulant" json:"anticoagulant"`
	AnticoagulantShouji       float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji"`
	AnticoagulantWeichi       float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi"`
	AnticoagulantZongliang    float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang   string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang"`
	ModeId                    int64   `gorm:"column:mode_id" json:"mode_id"`
	DialysisDuration          float64 `gorm:"column:dialysis_duration" json:"dialysis_duration"`
	ReplacementTotal          float64 `gorm:"column:replacement_total" json:"replacement_total"`
	ReplacementWay            int64   `gorm:"column:replacement_way" json:"replacement_way"`
	HemodialysisMachine       int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine"`
	BloodFilter               int64   `gorm:"column:blood_filter" json:"blood_filter"`
	PerfusionApparatus        int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus"`
	//DryWeight                 float64 `gorm:"column:dry_weight" json:"dry_weight"`
	VascularAccessMode         int64         `gorm:"column:vascular_access_mode" json:"vascular_access_mode"`
	VascularAccess             int64         `gorm:"column:vascular_access" json:"vascular_access"`
	BloodFlowVolume            float64       `gorm:"column:blood_flow_volume" json:"blood_flow_volume"`
	DialysateFlow              float64       `gorm:"column:dialysate_flow" json:"dialysate_flow"`
	DisplaceLiqui              float64       `gorm:"column:displace_liqui" json:"displace_liqui"`
	Kalium                     float64       `gorm:"column:kalium" json:"kalium"`
	Sodium                     float64       `gorm:"column:sodium" json:"sodium"`
	Calcium                    float64       `gorm:"column:calcium" json:"calcium"`
	Bicarbonate                float64       `gorm:"column:bicarbonate" json:"bicarbonate"`
	Glucose                    float64       `gorm:"column:glucose" json:"glucose"`
	DialysateTemperature       float64       `gorm:"column:dialysate_temperature" json:"dialysate_temperature"`
	Conductivity               float64       `gorm:"column:conductivity" json:"conductivity"`
	PrescriptionDoctor         int64         `gorm:"column:prescription_doctor" json:"prescription_doctor"`
	Remark                     string        `gorm:"column:remark" json:"remark"`
	Status                     int64         `gorm:"column:status" json:"status"`
	CreatedTime                int64         `gorm:"column:created_time" json:"created_time"`
	UpdatedTime                int64         `gorm:"column:updated_time" json:"updated_time"`
	RecordDate                 int64         `gorm:"column:record_date" json:"record_date"`
	RecordId                   int64         `gorm:"column:record_id" json:"record_id"`
	Creater                    int64         `gorm:"column:creater" json:"creater"`
	Modifier                   int64         `gorm:"column:modifier" json:"modifier"`
	DialysisDurationHour       int64         `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour"`
	DialysisDurationMinute     int64         `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute"`
	DialysateFormulation       int64         `gorm:"column:dialysate_formulation" json:"dialysate_formulation"`
	TargetUltrafiltration      float64       `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration"`
	DialyzerPerfusionApparatus string        `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus"`
	BodyFluid                  int64         `gorm:"column:body_fluid" json:"body_fluid"`
	SpecialMedicine            int64         `gorm:"column:special_medicine" json:"special_medicine"`
	SpecialMedicineOther       string        `gorm:"column:special_medicine_other" json:"special_medicine_other"`
	DisplaceLiquiPart          int64         `gorm:"column:displace_liqui_part" json:"displace_liqui_part"`
	DisplaceLiquiValue         float64       `gorm:"column:displace_liqui_value" json:"displace_liqui_value"`
	BloodAccess                int64         `gorm:"column:blood_access" json:"blood_access"`
	Ultrafiltration            float64       `gorm:"column:ultrafiltration" json:"ultrafiltration"`
	BodyFluidOther             string        `gorm:"column:body_fluid_other" json:"body_fluid_other"`
	Niprocart                  int64         `gorm:"column:niprocart" json:"niprocart"`
	Jms                        int64         `gorm:"column:jms" json:"jms"`
	FistulaNeedleSet           int64         `gorm:"column:fistula_needle_set" json:"fistula_needle_set"`
	FistulaNeedleSet16         int64         `gorm:"column:fistula_needle_set_16" json:"fistula_needle_set_16"`
	Hemoperfusion              int64         `gorm:"column:hemoperfusion" json:"hemoperfusion"`
	DialyserSterilised         int64         `gorm:"column:dialyser_sterilised" json:"dialyser_sterilised"`
	Filtryzer                  int64         `gorm:"column:filtryzer" json:"filtryzer"`
	TargetKtv                  float64       `gorm:"column:target_ktv" json:"target_ktv"`
	Dialyzers                  int64         `gorm:"column:dialyzers" json:"dialyzers"`
	Injector                   int64         `gorm:"column:injector" json:"injector"`
	Bloodlines                 int64         `gorm:"column:bloodlines" json:"bloodlines"`
	TubingHemodialysis         int64         `gorm:"column:tubing_hemodialysis" json:"tubing_hemodialysis"`
	Package                    int64         `gorm:"column:package" json:"package"`
	ALiquid                    int64         `gorm:"column:a_liquid" json:"a_liquid"`
	UserAdminRole              UserAdminRole `json:"role" gorm:"foreignkey:AdminUserId;AssociationForeignKey:Creater;"`
	PreImpulse                 float64       `gorm:"column:pre_impulse" json:"pre_impulse" form:"pre_impulse"`
	AnticoagulantStopTimeMin   int64         `gorm:"column:anticoagulant_stop_time_min" json:"anticoagulant_stop_time_min" form:"anticoagulant_stop_time_min"`
	AnticoagulantStopTimeHour  int64         `gorm:"column:anticoagulant_stop_time_hour" json:"anticoagulant_stop_time_hour" form:"anticoagulant_stop_time_hour"`
	Blood                      string        `gorm:"column:blood" json:"blood"`
}

func (DialysisPrescription) TableName() string {
	return "xt_dialysis_prescription"
}

type DialysisPrescriptionList struct {
	ID                         int64  `gorm:"column:id" json:"id"`
	UserOrgId                  int64  `gorm:"column:user_org_id" json:"user_org_id"`
	PatientId                  int64  `gorm:"column:patient_id" json:"patient_id"`
	RecordDate                 int64  `gorm:"column:record_date" json:"record_date"`
	RecordId                   int64  `gorm:"column:record_id" json:"record_id"`
	Creater                    int64  `gorm:"column:creater" json:"creater"`
	DialyzerPerfusionApparatus string `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus" form:"dialyzer_perfusion_apparatus"`
}

func (DialysisPrescriptionList) TableName() string {
	return "xt_dialysis_prescription"
}

type DialysisSolution struct {
	ID                         int64   `gorm:"column:id" json:"id" form:"id"`
	Name                       string  `gorm:"column:name" json:"name" form:"name"`
	SubName                    string  `gorm:"column:sub_name" json:"sub_name" form:"sub_name"`
	UserOrgId                  int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	PatientId                  int64   `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	ParentId                   int64   `gorm:"column:parent_id" json:"parent_id" form:"parent_id"`
	Type                       int64   `gorm:"column:type" json:"type" form:"type"`
	Period                     string  `gorm:"column:period" json:"period" form:"period"`
	Times                      string  `gorm:"column:times" json:"times" form:"times"`
	Anticoagulant              int64   `gorm:"column:anticoagulant" json:"anticoagulant" form:"anticoagulant"`
	AnticoagulantShouji        float64 `gorm:"column:anticoagulant_shouji" json:"anticoagulant_shouji" form:"anticoagulant_shouji"`
	AnticoagulantWeichi        float64 `gorm:"column:anticoagulant_weichi" json:"anticoagulant_weichi" form:"anticoagulant_weichi"`
	AnticoagulantZongliang     float64 `gorm:"column:anticoagulant_zongliang" json:"anticoagulant_zongliang" form:"anticoagulant_zongliang"`
	AnticoagulantGaimingcheng  string  `gorm:"column:anticoagulant_gaimingcheng" json:"anticoagulant_gaimingcheng" form:"anticoagulant_gaimingcheng"`
	AnticoagulantGaijiliang    string  `gorm:"column:anticoagulant_gaijiliang" json:"anticoagulant_gaijiliang" form:"anticoagulant_gaijiliang"`
	ModeName                   string  `gorm:"column:mode_name" json:"mode_name" form:"mode_name"`
	ModeId                     int64   `gorm:"column:mode_id" json:"mode_id" form:"mode_id"`
	DialysisDuration           float64 `gorm:"column:dialysis_duration" json:"dialysis_duration" form:"dialysis_duration"`
	ReplacementWay             int64   `gorm:"column:replacement_way" json:"replacement_way" form:"replacement_way"`
	HemodialysisMachine        int64   `gorm:"column:hemodialysis_machine" json:"hemodialysis_machine" form:"hemodialysis_machine"`
	BloodFilter                int64   `gorm:"column:blood_filter" json:"blood_filter" form:"blood_filter"`
	PerfusionApparatus         int64   `gorm:"column:perfusion_apparatus" json:"perfusion_apparatus" form:"perfusion_apparatus"`
	BloodFlowVolume            float64 `gorm:"column:blood_flow_volume" json:"blood_flow_volume" form:"blood_flow_volume"`
	Dewater                    float64 `gorm:"column:dewater" json:"dewater" form:"dewater"`
	DisplaceLiqui              float64 `gorm:"column:displace_liqui" json:"displace_liqui" form:"displace_liqui"`
	Glucose                    float64 `gorm:"column:glucose" json:"glucose" form:"glucose"`
	DialysateFlow              float64 `gorm:"column:dialysate_flow" json:"dialysate_flow" form:"dialysate_flow"`
	Kalium                     float64 `gorm:"column:kalium" json:"kalium" form:"kalium"`
	Sodium                     float64 `gorm:"column:sodium" json:"sodium" form:"sodium"`
	Calcium                    float64 `gorm:"column:calcium" json:"calcium" form:"calcium"`
	Bicarbonate                float64 `gorm:"column:bicarbonate" json:"bicarbonate" form:"bicarbonate"`
	Doctor                     int64   `gorm:"column:doctor" json:"doctor" form:"doctor"`
	FirstDialysis              int64   `gorm:"column:first_dialysis" json:"first_dialysis" form:"first_dialysis"`
	Remark                     string  `gorm:"column:remark" json:"remark" form:"remark"`
	InitiateMode               int64   `gorm:"column:initiate_mode" json:"initiate_mode" form:"initiate_mode"`
	AffirmState                int64   `gorm:"column:affirm_state" json:"affirm_state" form:"affirm_state"`
	UseState                   int64   `gorm:"column:use_state" json:"use_state" form:"use_state"`
	Status                     int64   `gorm:"column:status" json:"status" form:"status"`
	RegistrarsId               int64   `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	CreatedTime                int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	SolutionType               int64   `gorm:"column:solution_type" json:"solution_type" form:"solution_type"`
	DialysateTemperature       float64 `gorm:"column:dialysate_temperature" json:"dialysate_temperature" form:"dialysate_temperature"`
	Conductivity               float64 `gorm:"column:conductivity" json:"conductivity" form:"conductivity"`
	BodyFluid                  int64   `gorm:"column:body_fluid" json:"body_fluid"`
	SpecialMedicine            int64   `gorm:"column:special_medicine" json:"special_medicine"`
	SpecialMedicineOther       string  `gorm:"column:special_medicine_other" json:"special_medicine_other"`
	DisplaceLiquiPart          int64   `gorm:"column:displace_liqui_part" json:"displace_liqui_part"`
	DisplaceLiquiValue         float64 `gorm:"column:displace_liqui_value" json:"displace_liqui_value"`
	BloodAccess                int64   `gorm:"column:blood_access" json:"blood_access"`
	Ultrafiltration            float64 `gorm:"column:ultrafiltration" json:"ultrafiltration"`
	DialysisDurationHour       int64   `gorm:"column:dialysis_duration_hour" json:"dialysis_duration_hour" form:"dialysis_duration_hour"`
	DialysisDurationMinute     int64   `gorm:"column:dialysis_duration_minute" json:"dialysis_duration_minute" form:"dialysis_duration_minute"`
	TargetUltrafiltration      float64 `gorm:"column:target_ultrafiltration" json:"target_ultrafiltration" form:"target_ultrafiltration"`
	DialysateFormulation       int64   `gorm:"column:dialysate_formulation" json:"dialysate_formulation" form:"dialysate_formulation"`
	Dialyzer                   int64   `gorm:"column:dialyzer" json:"dialyzer" form:"dialysate_formulation"`
	ReplacementTotal           float64 `gorm:"column:replacement_total" json:"replacement_total"`
	DialyzerPerfusionApparatus string  `gorm:"column:dialyzer_perfusion_apparatus" json:"dialyzer_perfusion_apparatus"`
	BodyFluidOther             string  `gorm:"column:body_fluid_other" json:"body_fluid_other"`
	TargetKtv                  float64 `gorm:"column:target_ktv" json:"target_ktv"`
}

func (DialysisSolution) TableName() string {
	return "xt_dialysis_solution"
}

type UserAdminRole struct {
	ID              int64           `gorm:"column:id" json:"id"`
	AdminUserId     int64           `gorm:"column:admin_user_id" json:"admin_user_id"`
	OrgId           int64           `gorm:"column:org_id" json:"org_id"`
	AppId           int64           `gorm:"column:app_id" json:"app_id"`
	RoleId          int64           `gorm:"column:role_id" json:"role_id"`
	UserName        string          `gorm:"column:user_name" json:"user_name"`
	Avatar          string          `gorm:"column:avatar" json:"avatar"`
	UserType        int64           `gorm:"column:user_type" json:"user_type"`
	UserTitle       int64           `gorm:"column:user_title" json:"user_title"`
	Intro           string          `gorm:"column:intro" json:"intro"`
	Status          int64           `gorm:"column:status" json:"status"`
	Ctime           int64           `gorm:"column:ctime" json:"ctime"`
	Mtime           int64           `gorm:"column:mtime" json:"mtime"`
	Department      string          `gorm:"column:department" json:"department"`
	DepartmentId    int64           `gorm:"column:department_id" json:"department_id"`
	XtHisDepartment XtHisDepartment `json:"department" gorm:"foreignkey:DepartmentId;AssociationForeignKey:ID;"`
}

func (UserAdminRole) TableName() string {
	return "sgj_user_admin_role"
}

type PatientDialysisRecord struct {
	DialysisOrder

	ScheduleType  int64  `gorm:"-" json:"schedule_type" form:"schedule_type"`
	PartitionId   int64  `gorm:"-" json:"partition_id" form:"partition_id"`
	PartitionName string `gorm:"-" json:"partition_name" form:"partition_name"`
	DeviceNumber  string `gorm:"-" json:"device_number" form:"device_number"`

	// DialysisPrescription    DialysisPrescription    `json:"prescription" gorm:"foreignkey:RecordId"`
	// PredialysisEvaluation   PredialysisEvaluation   `json:"predialysis_evaluation" gorm:"foreignkey:DialysisOrderId"`
	// AssessmentAfterDislysis AssessmentAfterDislysis `json:"assessment_after_dislysis" gorm:"foreignkey:DialysisOrderId"`
	// TreatmentSummary        TreatmentSummary        `json:"treatment_summary" gorm:"foreignkey:DialysisOrderId"`

	DialysisPrescription    DialysisPrescription    `json:"prescription" gorm:"foreignkey:RecordDate;AssociationForeignKey:DialysisDate;"`
	PredialysisEvaluation   PredialysisEvaluation   `json:"predialysis_evaluation" gorm:"foreignkey:AssessmentDate;AssociationForeignKey:DialysisDate;"`
	AssessmentAfterDislysis AssessmentAfterDislysis `json:"assessment_after_dislysis" gorm:"foreignkey:AssessmentDate;AssociationForeignKey:DialysisDate;"`
	TreatmentSummary        TreatmentSummary        `json:"treatment_summary" gorm:"foreignkey:AssessmentDate;AssociationForeignKey:DialysisDate;"`
	Device                  DeviceNumber            `json:"device" gorm:"foreignkey:ID;AssociationForeignKey:BedID;"`
	MonitoringRecord        []MonitoringRecord      `json:"monitoring_record" gorm:"foreignkey:MonitoringDate;AssociationForeignKey:DialysisDate;"`
}

type DialysisPrescriptionAddtional struct {
	DialysisPrescription

	Device Device `json:"device" gorm:"foreignkey:dialyzer"`
}

type PatientDiseaseCourse struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	OrgID      int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PatientID  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Recorder   int64  `gorm:"column:recorder" json:"recorder" form:"recorder"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Status     int64  `gorm:"column:status" json:"-" form:"-"`
	CreateTime int64  `gorm:"column:ctime" json:"-" form:"-"`
	ModifyTime int64  `gorm:"column:mtime" json:"-" form:"-"`
	Title      string `gorm:"column:title" json:"title"`
}

func (PatientDiseaseCourse) TableName() string {
	return "xt_patient_course_of_disease"
}

type PatientRescueRecord struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	OrgID      int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PatientID  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Recorder   int64  `gorm:"column:recorder" json:"recorder" form:"recorder"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Status     int64  `gorm:"column:status" json:"-" form:"-"`
	CreateTime int64  `gorm:"column:ctime" json:"-" form:"-"`
	ModifyTime int64  `gorm:"column:mtime" json:"-" form:"-"`
}

func (PatientRescueRecord) TableName() string {
	return "xt_patient_rescue_record"
}

type PatientLapseto struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	LapsetoType int64 `gorm:"column:lapseto_type" json:"lapseto_type" form:"lapseto_type"`
	LapsetoTime int64 `gorm:"column:lapseto_time" json:"lapseto_time" form:"lapseto_time"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (PatientLapseto) TableName() string {
	return "xt_patient_lapseto"
}

type FormItem struct {
	ID          int64  `json:"id"`
	ProjectId   int64  `json:"project_id"`
	ProjectName string `json:"project_name"`
	ItemId      int64  `json:"item_id"`
	Item        string `json:"item"`
	ItemName    string `json:"item_name"`
	RangeType   int64  `json:"range_type"`
	Value       string `json:"value"`
}

type SgjUserIllness struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	IllnessName string `gorm:"column:illness_name" json:"illness_name" form:"illness_name"`
	Status      int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (SgjUserIllness) TableName() string {
	return "sgj_user_illness"
}

type XtPatientsNew struct {
	ID                           int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                    int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId                       int64   `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Avatar                       string  `gorm:"column:avatar" json:"avatar" form:"avatar"`
	PatientType                  int64   `gorm:"column:patient_type" json:"patient_type" form:"patient_type"`
	DialysisNo                   string  `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	AdmissionNumber              string  `gorm:"column:admission_number" json:"admission_number" form:"admission_number"`
	Source                       int64   `gorm:"column:source" json:"source" form:"source"`
	Lapseto                      int64   `gorm:"column:lapseto" json:"lapseto" form:"lapseto"`
	PartitionId                  int64   `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId                        int64   `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Name                         string  `gorm:"column:name" json:"name" form:"name"`
	Alias                        string  `gorm:"column:alias" json:"alias" form:"alias"`
	Gender                       int64   `gorm:"column:gender" json:"gender" form:"gender"`
	MaritalStatus                int64   `gorm:"column:marital_status" json:"marital_status" form:"marital_status"`
	IdCardNo                     string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday                     int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	ReimbursementWayId           int64   `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id" form:"reimbursement_way_id"`
	HealthCareType               int64   `gorm:"column:health_care_type" json:"health_care_type" form:"health_care_type"`
	HealthCareNo                 string  `gorm:"column:health_care_no" json:"health_care_no" form:"health_care_no"`
	HealthCareDueDate            int64   `gorm:"column:health_care_due_date" json:"health_care_due_date" form:"health_care_due_date"`
	Height                       int64   `gorm:"column:height" json:"height" form:"height"`
	BloodType                    int64   `gorm:"column:blood_type" json:"blood_type" form:"blood_type"`
	Rh                           int64   `gorm:"column:rh" json:"rh" form:"rh"`
	HealthCareDueAlertDate       int64   `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date" form:"health_care_due_alert_date"`
	EducationLevel               int64   `gorm:"column:education_level" json:"education_level" form:"education_level"`
	Profession                   int64   `gorm:"column:profession" json:"profession" form:"profession"`
	Phone                        string  `gorm:"column:phone" json:"phone" form:"phone"`
	HomeTelephone                string  `gorm:"column:home_telephone" json:"home_telephone" form:"home_telephone"`
	RelativePhone                string  `gorm:"column:relative_phone" json:"relative_phone" form:"relative_phone"`
	RelativeRelations            string  `gorm:"column:relative_relations" json:"relative_relations" form:"relative_relations"`
	HomeAddress                  string  `gorm:"column:home_address" json:"home_address" form:"home_address"`
	WorkUnit                     string  `gorm:"column:work_unit" json:"work_unit" form:"work_unit"`
	UnitAddress                  string  `gorm:"column:unit_address" json:"unit_address" form:"unit_address"`
	Children                     int64   `gorm:"column:children" json:"children" form:"children"`
	ReceivingDate                int64   `gorm:"column:receiving_date" json:"receiving_date" form:"receiving_date"`
	IsHospitalFirstDialysis      int64   `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis" form:"is_hospital_first_dialysis"`
	FirstDialysisDate            int64   `gorm:"column:first_dialysis_date" json:"first_dialysis_date" form:"first_dialysis_date"`
	FirstDialysisHospital        string  `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital" form:"first_dialysis_hospital"`
	PredialysisCondition         string  `gorm:"column:predialysis_condition" json:"predialysis_condition" form:"predialysis_condition"`
	PreHospitalDialysisFrequency string  `gorm:"column:pre_hospital_dialysis_frequency" json:"pre_hospital_dialysis_frequency" form:"pre_hospital_dialysis_frequency"`
	PreHospitalDialysisTimes     int64   `gorm:"column:pre_hospital_dialysis_times" json:"pre_hospital_dialysis_times" form:"pre_hospital_dialysis_times"`
	HospitalFirstDialysisDate    int64   `gorm:"column:hospital_first_dialysis_date" json:"hospital_first_dialysis_date" form:"hospital_first_dialysis_date"`
	InductionPeriod              int64   `gorm:"column:induction_period" json:"induction_period" form:"induction_period"`
	InitialDialysis              int64   `gorm:"column:initial_dialysis" json:"initial_dialysis" form:"initial_dialysis"`
	TotalDialysis                int64   `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	AttendingDoctorId            int64   `gorm:"column:attending_doctor_id" json:"attending_doctor_id" form:"attending_doctor_id"`
	HeadNurseId                  int64   `gorm:"column:head_nurse_id" json:"head_nurse_id" form:"head_nurse_id"`
	Evaluate                     string  `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Diagnose                     string  `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
	Remark                       string  `gorm:"column:remark" json:"remark" form:"remark"`
	RegistrarsId                 int64   `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Registrars                   string  `gorm:"column:registrars" json:"registrars" form:"registrars"`
	QrCode                       string  `gorm:"column:qr_code" json:"qr_code" form:"qr_code"`
	BindingState                 int64   `gorm:"column:binding_state" json:"binding_state" form:"binding_state"`
	PatientComplains             string  `gorm:"column:patient_complains" json:"patient_complains" form:"patient_complains"`
	PresentHistory               string  `gorm:"column:present_history" json:"present_history" form:"present_history"`
	PastHistory                  string  `gorm:"column:past_history" json:"past_history" form:"past_history"`
	Temperature                  float64 `gorm:"column:temperature" json:"temperature" form:"temperature"`
	Pulse                        int64   `gorm:"column:pulse" json:"pulse" form:"pulse"`
	Respiratory                  int64   `gorm:"column:respiratory" json:"respiratory" form:"respiratory"`
	Sbp                          int64   `gorm:"column:sbp" json:"sbp" form:"sbp"`
	Dbp                          int64   `gorm:"column:dbp" json:"dbp" form:"dbp"`
	Status                       int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                  int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                  int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Nation                       string  `gorm:"column:nation" json:"nation" form:"nation"`
	NativePlace                  string  `gorm:"column:native_place" json:"native_place" form:"native_place"`
	Age                          int64   `gorm:"column:age" json:"age" form:"age"`
	InfectiousNextRecordTime     int64   `gorm:"column:infectious_next_record_time" json:"infectious_next_record_time" form:"infectious_next_record_time"`
	IsInfectious                 int64   `gorm:"column:is_infectious" json:"is_infectious" form:"is_infectious"`
	RemindCycle                  int64   `gorm:"column:remind_cycle" json:"remind_cycle" form:"remind_cycle"`
	ResponseResult               string  `gorm:"column:response_result" json:"response_result" form:"response_result"`
	IsOpenRemind                 int64   `gorm:"column:is_open_remind" json:"is_open_remind" form:"is_open_remind"`
	FirstTreatmentDate           int64   `gorm:"column:first_treatment_date" json:"first_treatment_date" form:"first_treatment_date"`
	DialysisAge                  int64   `gorm:"column:dialysis_age" json:"dialysis_age" form:"dialysis_age"`
	ExpenseKind                  int64   `gorm:"column:expense_kind" json:"expense_kind" form:"expense_kind"`
	TellPhone                    string  `gorm:"column:tell_phone" json:"tell_phone" form:"tell_phone"`
	ContactName                  string  `gorm:"column:contact_name" json:"contact_name" form:"contact_name"`
	BloodPatients                int64   `gorm:"column:blood_patients" json:"blood_patients" form:"blood_patients"`
	SlowPatients                 int64   `gorm:"column:slow_patients" json:"slow_patients" form:"slow_patients"`
	MemberPatients               int64   `gorm:"column:member_patients" json:"member_patients" form:"member_patients"`
	EcommerPatients              string  `gorm:"column:ecommer_patients" json:"ecommer_patients" form:"ecommer_patients"`
	BloodId                      int64   `gorm:"column:blood_id" json:"blood_id" form:"blood_id"`
	SlowId                       int64   `gorm:"column:slow_id" json:"slow_id" form:"slow_id"`
	MemberId                     int64   `gorm:"column:member_id" json:"member_id" form:"member_id"`
	MemberFistdate               int64   `gorm:"column:member_fistdate" json:"member_fistdate" form:"member_fistdate"`
	MemberPatienttype            int64   `gorm:"column:member_patienttype" json:"member_patienttype" form:"member_patienttype"`
	MemberTreatement             int64   `gorm:"column:member_treatement" json:"member_treatement" form:"member_treatement"`
	EquitmentId                  string  `gorm:"column:equitment_id" json:"equitment_id" form:"equitment_id"`
	UserSysBeforeCount           int64   `gorm:"column:user_sys_before_count" json:"user_sys_before_count" form:"user_sys_before_count"`
	IsExcelExport                int64   `gorm:"column:is_excel_export" json:"is_excel_export" form:"is_excel_export"`
	SchRemark                    string  `gorm:"column:sch_remark" json:"sch_remark" form:"sch_remark"`
}

func (XtPatientsNew) TableName() string {
	return "xt_patients_new"
}

type PatientsNew struct {
	ID   int64  `gorm:"column:id" json:"id" form:"id"`
	Name string `gorm:"column:name" json:"name" form:"name"`
}

type CdmPatients struct {
	ID                 int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId          int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId             int64  `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Avatar             string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	PatientType        int64  `gorm:"column:patient_type" json:"patient_type" form:"patient_type"`
	Source             int64  `gorm:"column:source" json:"source" form:"source"`
	Name               string `gorm:"column:name" json:"name" form:"name"`
	Alias              string `gorm:"column:alias" json:"alias" form:"alias"`
	Gender             int64  `gorm:"column:gender" json:"gender" form:"gender"`
	MaritalStatus      int64  `gorm:"column:marital_status" json:"marital_status" form:"marital_status"`
	IdCardNo           string `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday           int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	HealthCareType     int64  `gorm:"column:health_care_type" json:"health_care_type" form:"health_care_type"`
	HealthCareNo       string `gorm:"column:health_care_no" json:"health_care_no" form:"health_care_no"`
	Height             int64  `gorm:"column:height" json:"height" form:"height"`
	BloodType          int64  `gorm:"column:blood_type" json:"blood_type" form:"blood_type"`
	Rh                 int64  `gorm:"column:rh" json:"rh" form:"rh"`
	EducationLevel     int64  `gorm:"column:education_level" json:"education_level" form:"education_level"`
	Profession         int64  `gorm:"column:profession" json:"profession" form:"profession"`
	Phone              string `gorm:"column:phone" json:"phone" form:"phone"`
	HomeTelephone      string `gorm:"column:home_telephone" json:"home_telephone" form:"home_telephone"`
	RelativePhone      string `gorm:"column:relative_phone" json:"relative_phone" form:"relative_phone"`
	RelativeRelations  string `gorm:"column:relative_relations" json:"relative_relations" form:"relative_relations"`
	HomeAddress        string `gorm:"column:home_address" json:"home_address" form:"home_address"`
	WorkUnit           string `gorm:"column:work_unit" json:"work_unit" form:"work_unit"`
	UnitAddress        string `gorm:"column:unit_address" json:"unit_address" form:"unit_address"`
	Children           int64  `gorm:"column:children" json:"children" form:"children"`
	AttendingDoctorId  int64  `gorm:"column:attending_doctor_id" json:"attending_doctor_id" form:"attending_doctor_id"`
	HeadNurseId        int64  `gorm:"column:head_nurse_id" json:"head_nurse_id" form:"head_nurse_id"`
	Diagnose           string `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
	Remark             string `gorm:"column:remark" json:"remark" form:"remark"`
	RegistrarsId       int64  `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Registrars         string `gorm:"column:registrars" json:"registrars" form:"registrars"`
	QrCode             string `gorm:"column:qr_code" json:"qr_code" form:"qr_code"`
	BindingState       int64  `gorm:"column:binding_state" json:"binding_state" form:"binding_state"`
	Status             int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime        int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime        int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	UserSysBeforeCount int64  `gorm:"column:user_sys_before_count" json:"user_sys_before_count" form:"user_sys_before_count"`
	SchRemark          string `gorm:"column:sch_remark" json:"sch_remark" form:"sch_remark"`
}

func (CdmPatients) TableName() string {
	return "xt_patients"
}

type CdmPatientsInfectiousDiseases struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DiseaseId   int64 `gorm:"column:disease_id" json:"disease_id" form:"disease_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	UserOrgId   int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
}

func (CdmPatientsInfectiousDiseases) TableName() string {

	return "xt_patients_infectious_diseases"
}

type CdmPatientsChronicDiseases struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DiseaseId   int64 `gorm:"column:disease_id" json:"disease_id" form:"disease_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	UserOrgId   int64 `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
}

func (CdmPatientsChronicDiseases) TableName() string {

	return "xt_patients_chronic_diseases"
}

type SgjUserCustomer struct {
	ID              int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId       int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId          int64  `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Mobile          string `gorm:"column:mobile" json:"mobile" form:"mobile"`
	Name            string `gorm:"column:name" json:"name" form:"name"`
	Gender          int64  `gorm:"column:gender" json:"gender" form:"gender"`
	ProvinceId      int64  `gorm:"column:province_id" json:"province_id" form:"province_id"`
	CityId          int64  `gorm:"column:city_id" json:"city_id" form:"city_id"`
	Address         string `gorm:"column:address" json:"address" form:"address"`
	Birthday        int64  `gorm:"column:birthday" json:"birthday" form:"birthday"`
	TreatType       int64  `gorm:"column:treat_type" json:"treat_type" form:"treat_type"`
	Relationship    int64  `gorm:"column:relationship" json:"relationship" form:"relationship"`
	IllnessId       int64  `gorm:"column:illness_id" json:"illness_id" form:"illness_id"`
	WechatOpenid    string `gorm:"column:wechat_openid" json:"wechat_openid" form:"wechat_openid"`
	Membership      int64  `gorm:"column:membership" json:"membership" form:"membership"`
	Sources         int64  `gorm:"column:sources" json:"sources" form:"sources"`
	Status          int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime     int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime     int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Avatar          string `gorm:"column:avatar" json:"avatar" form:"avatar"`
	WechatUnionid   string `gorm:"column:wechat_unionid" json:"wechat_unionid" form:"wechat_unionid"`
	Remark          string `gorm:"column:remark" json:"remark" form:"remark"`
	MedicalDiagnose string `gorm:"column:medical_diagnose" json:"medical_diagnose" form:"medical_diagnose"`
	YzUid           int64  `gorm:"column:yz_uid" json:"yz_uid" form:"yz_uid"`
	Tttime          int64  `gorm:"column:tttime" json:"tttime" form:"tttime"`
	IllDate         int64  `gorm:"column:ill_date" json:"ill_date" form:"ill_date"`
	DistrictId      int64  `gorm:"column:district_id" json:"district_id" form:"district_id"`
}

func (SgjUserCustomer) TableName() string {
	return "sgj_user_customer"
}

type PatientCourseOfDiseases struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId      int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Recorder   int64  `gorm:"column:recorder" json:"recorder" form:"recorder"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Title      string `gorm:"column:title" json:"title" form:"title"`
	UserName   string `gorm:"column:user_name" json:"user_name" form:"user_name"`
}

type PatientCourseOfDiseasess struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId      int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Recorder   int64  `gorm:"column:recorder" json:"recorder" form:"recorder"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Title      string `gorm:"column:title" json:"title" form:"title"`
	UserName   string `gorm:"column:user_name" json:"user_name" form:"user_name"`
	Name       string `gorm:"column:name" json:"name" form:"name"`
}

type PatientCourseOfDisease struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId      int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	PatientId  int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	Recorder   int64  `gorm:"column:recorder" json:"recorder" form:"recorder"`
	RecordTime int64  `gorm:"column:record_time" json:"record_time" form:"record_time"`
	Content    string `gorm:"column:content" json:"content" form:"content"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime      int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime      int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Title      string `gorm:"column:title" json:"title" form:"title"`
}

func (PatientCourseOfDisease) TableName() string {

	return "xt_patient_course_of_disease"
}

type XtPatientsInfectiousDiseases struct {
	ID          int64 `gorm:"column:id" json:"id" form:"id"`
	PatientId   int64 `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	DiseaseId   int64 `gorm:"column:disease_id" json:"disease_id" form:"disease_id"`
	Status      int64 `gorm:"column:status" json:"status" form:"status"`
	CreatedTime int64 `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime int64 `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtPatientsInfectiousDiseases) TableName() string {

	return "xt_patients_infectious_diseases"
}

type XtInspectionReference struct {
	ID               int64  `gorm:"column:id" json:"id" form:"id"`
	OrgId            int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectName      string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	Project          string `gorm:"column:project" json:"project" form:"project"`
	ProjectId        int64  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemName         string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ItemNameAddition string `gorm:"column:item_name_addition" json:"item_name_addition" form:"item_name_addition"`
	ItemId           int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	Item             string `gorm:"column:item" json:"item" form:"item"`
	RangeType        int64  `gorm:"column:range_type" json:"range_type" form:"range_type"`
	RangeMin         string `gorm:"column:range_min" json:"range_min" form:"range_min"`
	RangeMax         string `gorm:"column:range_max" json:"range_max" form:"range_max"`
	RangeValue       string `gorm:"column:range_value" json:"range_value" form:"range_value"`
	RangeOptions     string `gorm:"column:range_options" json:"range_options" form:"range_options"`
	Unit             string `gorm:"column:unit" json:"unit" form:"unit"`
	Status           int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime      int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime      int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtInspectionReference) TableName() string {

	return "xt_inspection_reference"
}

type XtInspection struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	PatientId    int64  `gorm:"column:patient_id" json:"patient_id" form:"patient_id"`
	OrgId        int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	ProjectId    int64  `gorm:"column:project_id" json:"project_id" form:"project_id"`
	ItemId       int64  `gorm:"column:item_id" json:"item_id" form:"item_id"`
	ItemName     string `gorm:"column:item_name" json:"item_name" form:"item_name"`
	ProjectName  string `gorm:"column:project_name" json:"project_name" form:"project_name"`
	InspectType  int64  `gorm:"column:inspect_type" json:"inspect_type" form:"inspect_type"`
	InspectValue string `gorm:"column:inspect_value" json:"inspect_value" form:"inspect_value"`
	InspectDate  int64  `gorm:"column:inspect_date" json:"inspect_date" form:"inspect_date"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	CreatedTime  int64  `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime  int64  `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
}

func (XtInspection) TableName() string {

	return "xt_inspection"
}

type BloodXtPatients struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	UserOrgId  int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	DialysisNo string `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	Name       string `gorm:"column:name" json:"name" form:"name"`
	IdCardNo   string `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
}

func (BloodXtPatients) TableName() string {

	return "xt_patients"
}

type XtPatients struct {
	ID                           int64   `gorm:"column:id" json:"id" form:"id"`
	UserOrgId                    int64   `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	UserId                       int64   `gorm:"column:user_id" json:"user_id" form:"user_id"`
	Avatar                       string  `gorm:"column:avatar" json:"avatar" form:"avatar"`
	PatientType                  int64   `gorm:"column:patient_type" json:"patient_type" form:"patient_type"`
	DialysisNo                   string  `gorm:"column:dialysis_no" json:"dialysis_no" form:"dialysis_no"`
	AdmissionNumber              string  `gorm:"column:admission_number" json:"admission_number" form:"admission_number"`
	Source                       int64   `gorm:"column:source" json:"source" form:"source"`
	Lapseto                      int64   `gorm:"column:lapseto" json:"lapseto" form:"lapseto"`
	PartitionId                  int64   `gorm:"column:partition_id" json:"partition_id" form:"partition_id"`
	BedId                        int64   `gorm:"column:bed_id" json:"bed_id" form:"bed_id"`
	Name                         string  `gorm:"column:name" json:"name" form:"name"`
	Alias                        string  `gorm:"column:alias" json:"alias" form:"alias"`
	Gender                       int64   `gorm:"column:gender" json:"gender" form:"gender"`
	MaritalStatus                int64   `gorm:"column:marital_status" json:"marital_status" form:"marital_status"`
	IdCardNo                     string  `gorm:"column:id_card_no" json:"id_card_no" form:"id_card_no"`
	Birthday                     int64   `gorm:"column:birthday" json:"birthday" form:"birthday"`
	ReimbursementWayId           int64   `gorm:"column:reimbursement_way_id" json:"reimbursement_way_id" form:"reimbursement_way_id"`
	HealthCareType               int64   `gorm:"column:health_care_type" json:"health_care_type" form:"health_care_type"`
	HealthCareNo                 string  `gorm:"column:health_care_no" json:"health_care_no" form:"health_care_no"`
	HealthCareDueDate            int64   `gorm:"column:health_care_due_date" json:"health_care_due_date" form:"health_care_due_date"`
	Height                       int64   `gorm:"column:height" json:"height" form:"height"`
	BloodType                    int64   `gorm:"column:blood_type" json:"blood_type" form:"blood_type"`
	Rh                           int64   `gorm:"column:rh" json:"rh" form:"rh"`
	HealthCareDueAlertDate       int64   `gorm:"column:health_care_due_alert_date" json:"health_care_due_alert_date" form:"health_care_due_alert_date"`
	EducationLevel               int64   `gorm:"column:education_level" json:"education_level" form:"education_level"`
	Profession                   int64   `gorm:"column:profession" json:"profession" form:"profession"`
	Phone                        string  `gorm:"column:phone" json:"phone" form:"phone"`
	HomeTelephone                string  `gorm:"column:home_telephone" json:"home_telephone" form:"home_telephone"`
	RelativePhone                string  `gorm:"column:relative_phone" json:"relative_phone" form:"relative_phone"`
	RelativeRelations            string  `gorm:"column:relative_relations" json:"relative_relations" form:"relative_relations"`
	HomeAddress                  string  `gorm:"column:home_address" json:"home_address" form:"home_address"`
	WorkUnit                     string  `gorm:"column:work_unit" json:"work_unit" form:"work_unit"`
	UnitAddress                  string  `gorm:"column:unit_address" json:"unit_address" form:"unit_address"`
	Children                     int64   `gorm:"column:children" json:"children" form:"children"`
	ReceivingDate                int64   `gorm:"column:receiving_date" json:"receiving_date" form:"receiving_date"`
	IsHospitalFirstDialysis      int64   `gorm:"column:is_hospital_first_dialysis" json:"is_hospital_first_dialysis" form:"is_hospital_first_dialysis"`
	FirstDialysisDate            int64   `gorm:"column:first_dialysis_date" json:"first_dialysis_date" form:"first_dialysis_date"`
	FirstDialysisHospital        string  `gorm:"column:first_dialysis_hospital" json:"first_dialysis_hospital" form:"first_dialysis_hospital"`
	PredialysisCondition         string  `gorm:"column:predialysis_condition" json:"predialysis_condition" form:"predialysis_condition"`
	PreHospitalDialysisFrequency string  `gorm:"column:pre_hospital_dialysis_frequency" json:"pre_hospital_dialysis_frequency" form:"pre_hospital_dialysis_frequency"`
	PreHospitalDialysisTimes     int64   `gorm:"column:pre_hospital_dialysis_times" json:"pre_hospital_dialysis_times" form:"pre_hospital_dialysis_times"`
	HospitalFirstDialysisDate    int64   `gorm:"column:hospital_first_dialysis_date" json:"hospital_first_dialysis_date" form:"hospital_first_dialysis_date"`
	InductionPeriod              int64   `gorm:"column:induction_period" json:"induction_period" form:"induction_period"`
	InitialDialysis              int64   `gorm:"column:initial_dialysis" json:"initial_dialysis" form:"initial_dialysis"`
	TotalDialysis                int64   `gorm:"column:total_dialysis" json:"total_dialysis" form:"total_dialysis"`
	AttendingDoctorId            int64   `gorm:"column:attending_doctor_id" json:"attending_doctor_id" form:"attending_doctor_id"`
	HeadNurseId                  int64   `gorm:"column:head_nurse_id" json:"head_nurse_id" form:"head_nurse_id"`
	Evaluate                     string  `gorm:"column:evaluate" json:"evaluate" form:"evaluate"`
	Diagnose                     string  `gorm:"column:diagnose" json:"diagnose" form:"diagnose"`
	Remark                       string  `gorm:"column:remark" json:"remark" form:"remark"`
	RegistrarsId                 int64   `gorm:"column:registrars_id" json:"registrars_id" form:"registrars_id"`
	Registrars                   string  `gorm:"column:registrars" json:"registrars" form:"registrars"`
	QrCode                       string  `gorm:"column:qr_code" json:"qr_code" form:"qr_code"`
	BindingState                 int64   `gorm:"column:binding_state" json:"binding_state" form:"binding_state"`
	PatientComplains             string  `gorm:"column:patient_complains" json:"patient_complains" form:"patient_complains"`
	PresentHistory               string  `gorm:"column:present_history" json:"present_history" form:"present_history"`
	PastHistory                  string  `gorm:"column:past_history" json:"past_history" form:"past_history"`
	Temperature                  float64 `gorm:"column:temperature" json:"temperature" form:"temperature"`
	Pulse                        int64   `gorm:"column:pulse" json:"pulse" form:"pulse"`
	Respiratory                  int64   `gorm:"column:respiratory" json:"respiratory" form:"respiratory"`
	Sbp                          int64   `gorm:"column:sbp" json:"sbp" form:"sbp"`
	Dbp                          int64   `gorm:"column:dbp" json:"dbp" form:"dbp"`
	Status                       int64   `gorm:"column:status" json:"status" form:"status"`
	CreatedTime                  int64   `gorm:"column:created_time" json:"created_time" form:"created_time"`
	UpdatedTime                  int64   `gorm:"column:updated_time" json:"updated_time" form:"updated_time"`
	Nation                       string  `gorm:"column:nation" json:"nation" form:"nation"`
	NativePlace                  string  `gorm:"column:native_place" json:"native_place" form:"native_place"`
	Age                          int64   `gorm:"column:age" json:"age" form:"age"`
	InfectiousNextRecordTime     int64   `gorm:"column:infectious_next_record_time" json:"infectious_next_record_time" form:"infectious_next_record_time"`
	IsInfectious                 int64   `gorm:"column:is_infectious" json:"is_infectious" form:"is_infectious"`
	RemindCycle                  int64   `gorm:"column:remind_cycle" json:"remind_cycle" form:"remind_cycle"`
	ResponseResult               string  `gorm:"column:response_result" json:"response_result" form:"response_result"`
	IsOpenRemind                 int64   `gorm:"column:is_open_remind" json:"is_open_remind" form:"is_open_remind"`
	FirstTreatmentDate           int64   `gorm:"column:first_treatment_date" json:"first_treatment_date" form:"first_treatment_date"`
	DialysisAge                  int64   `gorm:"column:dialysis_age" json:"dialysis_age" form:"dialysis_age"`
	ExpenseKind                  int64   `gorm:"column:expense_kind" json:"expense_kind" form:"expense_kind"`
	TellPhone                    string  `gorm:"column:tell_phone" json:"tell_phone" form:"tell_phone"`
	ContactName                  string  `gorm:"column:contact_name" json:"contact_name" form:"contact_name"`
	UserSysBeforeCount           int64   `gorm:"column:user_sys_before_count" json:"user_sys_before_count" form:"user_sys_before_count"`
	SchRemark                    string  `gorm:"column:sch_remark" json:"sch_remark" form:"sch_remark"`
}

func (XtPatients) TableName() string {

	return "xt_patients"
}

type SgjUserAdminLoginLog struct {
	ID          int64  `gorm:"column:id" json:"id" form:"id"`
	AdminUserId int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
	OrgId       int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId       int64  `gorm:"column:app_id" json:"app_id" form:"app_id"`
	Ip          string `gorm:"column:ip" json:"ip" form:"ip"`
	OperateType int64  `gorm:"column:operate_type" json:"operate_type" form:"operate_type"`
	AppType     int64  `gorm:"column:app_type" json:"app_type" form:"app_type"`
	Ctime       int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
}

func (SgjUserAdminLoginLog) TableName() string {

	return "sgj_user_admin_login_log"
}

type KyActivityTable struct {
	ID           int64  `gorm:"column:id" json:"id" form:"id"`
	Name         string `gorm:"column:name" json:"name" form:"name"`
	Phone        string `gorm:"column:phone" json:"phone" form:"phone"`
	Address      string `gorm:"column:address" json:"address" form:"address"`
	Position     int64  `gorm:"column:position" json:"position" form:"position"`
	HospitalName string `gorm:"column:hospital_name" json:"hospital_name" form:"hospital_name"`
	IsUser       int64  `gorm:"column:is_user" json:"is_user" form:"is_user"`
	IsThink      int64  `gorm:"column:is_think" json:"is_think" form:"is_think"`
	OtherMode    string `gorm:"column:other_mode" json:"other_mode" form:"other_mode"`
	OtherRemark  string `gorm:"column:other_remark" json:"other_remark" form:"other_remark"`
	Gift         int64  `gorm:"column:gift" json:"gift" form:"gift"`
	OtherMessage string `gorm:"column:other_message" json:"other_message" form:"other_message"`
	UserOrgId    int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	Status       int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime        int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime        int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	SystemName   string `gorm:"column:system_name" json:"system_name" form:"system_name"`
	AdminUserId  int64  `gorm:"column:admin_user_id" json:"admin_user_id" form:"admin_user_id"`
}

func (KyActivityTable) TableName() string {

	return "ky_activity_table"
}

type SgjUserRole struct {
	ID               int64  `gorm:"column:id" json:"id" form:"id"`
	RoleName         string `gorm:"column:role_name" json:"role_name" form:"role_name"`
	RoleIntroduction string `gorm:"column:role_introduction" json:"role_introduction" form:"role_introduction"`
	Creator          int64  `gorm:"column:creator" json:"creator" form:"creator"`
	OrgId            int64  `gorm:"column:org_id" json:"org_id" form:"org_id"`
	AppId            int64  `gorm:"column:app_id" json:"app_id" form:"app_id"`
	IsSuperAdmin     int64  `gorm:"column:is_super_admin" json:"is_super_admin" form:"is_super_admin"`
	Status           int64  `gorm:"column:status" json:"status" form:"status"`
	Ctime            int64  `gorm:"column:ctime" json:"ctime" form:"ctime"`
	Mtime            int64  `gorm:"column:mtime" json:"mtime" form:"mtime"`
	Number           int64  `gorm:"column:number" json:"number" form:"number"`
	IsSystem         int64  `gorm:"column:is_system" json:"is_system" form:"is_system"`
}

func (SgjUserRole) TableName() string {

	return "sgj_user_role"
}

type ExportErrLog struct {
	ID         int64  `gorm:"column:id" json:"id" form:"id"`
	LogType    int64  `gorm:"column:log_type" json:"log_type" form:"log_type"`
	UserOrgId  int64  `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	ErrMsg     string `gorm:"column:err_msg" json:"err_msg" form:"err_msg"`
	CreateTime int64  `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime int64  `gorm:"column:update_time" json:"update_time" form:"update_time"`
	Status     int64  `gorm:"column:status" json:"status" form:"status"`
	ExportTime int64  `gorm:"column:export_time" json:"export_time" form:"export_time"`
}

func (ExportErrLog) TableName() string {
	return "xt_export_err_log"
}

type ExportLog struct {
	ID           int64           `gorm:"column:id" json:"id" form:"id"`
	LogType      int64           `gorm:"column:log_type" json:"log_type" form:"log_type"`
	UserOrgId    int64           `gorm:"column:user_org_id" json:"user_org_id" form:"user_org_id"`
	TotalNum     int64           `gorm:"column:total_num" json:"total_num" form:"total_num"`
	FailNum      int64           `gorm:"column:fail_num" json:"fail_num" form:"fail_num"`
	SuccessNum   int64           `gorm:"column:success_num" json:"success_num" form:"success_num"`
	CreateTime   int64           `gorm:"column:create_time" json:"create_time" form:"create_time"`
	UpdateTime   int64           `gorm:"column:update_time" json:"update_time" form:"update_time"`
	ExportTime   int64           `gorm:"column:export_time" json:"export_time" form:"export_time"`
	Status       int64           `gorm:"column:status" json:"status" form:"status"`
	ExportErrLog []*ExportErrLog `json:"err_logs" gorm:"foreignkey:ExportTime;AssociationForeignKey:ExportTime;"`
}

func (ExportLog) TableName() string {
	return "xt_export_log"
}
